<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK SETTINGS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$settings           = array(
  'menu_title'      => constant('ORA_THEME_NAME').' '.esc_html__('Options', 'ora'),
  'menu_type'       => 'theme', // menu, submenu, options, theme, etc.
  'menu_slug'       => 'cs-framework',
  'ajax_save'       => true,
  'show_reset_all'  => false,
	'framework_title' => sprintf(esc_html__('Designthemes Framework %1$s', 'ora'), '<small>'.esc_html__('by Designthemes', 'ora').'</small>'),
);

// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK OPTIONS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$options        = array();

$options[]      = array(
  'name'        => 'general',
  'title'       => esc_html__('General', 'ora'),
  'icon'        => 'fa fa-gears',

  'fields'      => array(

	array(
	  'type'    => 'subheading',
	  'content' => esc_html__( 'General Options', 'ora' ),
	),

	array(
		'id'	=> 'header',
		'type'	=> 'select',
		'title'	=> esc_html__('Site Header', 'ora'),
		'class'	=> 'chosen',
		'options'	=> 'posts',
		'query_args'	=> array(
			'post_type'	=> 'dt_headers',
			'orderby'	=> 'title',
			'order'	=> 'ASC',
			'posts_per_page' => -1
		),
		'default_option'	=> esc_attr__('Select Header', 'ora'),
		'attributes'	=> array ( 'style'	=> 'width:50%'),
		'info'	=> esc_html__('Select default header.','ora'),
	),

	array(
		'id'	=> 'footer',
		'type'	=> 'select',
		'title'	=> esc_html__('Site Footer', 'ora'),
		'class'	=> 'chosen',
		'options'	=> 'posts',
		'query_args'	=> array(
			'post_type'	=> 'dt_footers',
			'orderby'	=> 'title',
			'order'	=> 'ASC',
			'posts_per_page' => -1
		),
		'default_option'	=> esc_attr__('Select Footer', 'ora'),
		'attributes'	=> array ( 'style'	=> 'width:50%'),
		'info'	=> esc_html__('Select defaultfooter.','ora'),
	),

	array(
	  'id'  	 => 'use-site-loader',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Site Loader', 'ora'),
	  'info'	 => esc_html__('YES! to use site loader.', 'ora'),
	  'default'  => true,
	),

	array(
	  'id'  	 => 'show-pagecomments',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Globally Show Page Comments', 'ora'),
	  'info'	 => esc_html__('YES! to show comments on all the pages. This will globally override your "Allow comments" option under your page "Discussion" settings.', 'ora'),
	  'default'  => true,
	),

	array(
	  'id'  	 => 'showall-pagination',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Show all pages in Pagination', 'ora'),
	  'info'	 => esc_html__('YES! to show all the pages instead of dots near the current page.', 'ora')
	),

	array(
	  'id'      => 'google-map-key',
	  'type'    => 'text',
	  'title'   => esc_html__('Google Map API Key', 'ora'),
	  'after' 	=> '<p class="cs-text-info">'.esc_html__('Put a valid google account api key here', 'ora').'</p>',
	),

	array(
	  'id'      => 'mailchimp-key',
	  'type'    => 'text',
	  'title'   => esc_html__('Mailchimp API Key', 'ora'),
	  'after' 	=> '<p class="cs-text-info">'.esc_html__('Put a valid mailchimp account api key here', 'ora').'</p>',
	  'default' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX',
	),

	array(
	  'id'  	 => 'enable-totop',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Enable To Top', 'ora'),
	  'info'	 => esc_html__('YES! to enable to top for your site.', 'ora'),
	  'default'  => true,
	),
  ),
);

$options[]      = array(
  'name'        => 'layout_options',
  'title'       => esc_html__('Layout Options', 'ora'),
  'icon'        => 'dashicons dashicons-exerpt-view',
  'sections' => array(

	// -----------------------------------------
	// Header Options
	// -----------------------------------------
	array(
	  'name'      => 'breadcrumb_options',
	  'title'     => esc_html__('Breadcrumb Options', 'ora'),
	  'icon'      => 'fa fa-sitemap',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Breadcrumb Options", 'ora' ),
		  ),

		  array(
			'id'  		 => 'show-breadcrumb',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Breadcrumb', 'ora'),
			'info'		 => esc_html__('YES! to display breadcrumb for all pages.', 'ora'),
			'default' 	 => true,
		  ),

		  array(
			'id'           => 'breadcrumb-delimiter',
			'type'         => 'icon',
			'title'        => esc_html__('Breadcrumb Delimiter', 'ora'),
			'info'         => esc_html__('Choose delimiter style to display on breadcrumb section.', 'ora'),
			'default'	   => 'fa fa-angle-right'
		  ),

		  array(
			'id'           => 'breadcrumb-style',
			'type'         => 'select',
			'title'        => esc_html__('Breadcrumb Style', 'ora'),
			'options'      => array(
			  'default' 							=> esc_html__('Default', 'ora'),
			  'aligncenter'    						=> esc_html__('Align Center', 'ora'),
			  'alignright'  						=> esc_html__('Align Right', 'ora'),
			  'breadcrumb-left'    					=> esc_html__('Left Side Breadcrumb', 'ora'),
			  'breadcrumb-right'     				=> esc_html__('Right Side Breadcrumb', 'ora'),
			  'breadcrumb-top-right-title-center'  	=> esc_html__('Top Right Title Center', 'ora'),
			  'breadcrumb-top-left-title-center'  	=> esc_html__('Top Left Title Center', 'ora'),
			),
			'class'        => 'chosen',
			'default'      => 'default',
			'info'         => esc_html__('Choose alignment style to display on breadcrumb section.', 'ora'),
		  ),

		  array(
			  'id'                 => 'breadcrumb-position',
			  'type'               => 'select',
			  'title'              => esc_html__('Position', 'ora' ),
			  'options'            => array(
				  'header-top-absolute'    => esc_html__('Behind the Header','ora'),
				  'header-top-relative'    => esc_html__('Default','ora'),
			  ),
			  'class'        => 'chosen',
			  'default'      => 'header-top-relative',
			  'info'         => esc_html__('Choose position of breadcrumb section.', 'ora'),
		  ),

		  array(
			'id'    => 'breadcrumb_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'ora'),
			'desc'  => esc_html__('Choose background options for breadcrumb title section.', 'ora'),
			'default' => array(
              'image' => ORA_THEME_URI . '/images/breadcrumb-bg.jpg',
               'repeat'    => 'no-repeat',
                 'attachment' => 'scroll',
                 'position' => 'center center'
            ),
		  ),

		),
	),

  ),
);

$options[]      = array(
  'name'        => 'allpage_options',
  'title'       => esc_html__('All Page Options', 'ora'),
  'icon'        => 'fa fa-files-o',
  'sections' => array(

	// -----------------------------------------
	// Global Sidebar Options
	// -----------------------------------------
	array(
	  'name'      => 'global_sidebar_options',
	  'title'     => esc_html__('Global Sidebar Options', 'ora'),
	  'icon'      => 'dashicons dashicons-format-aside',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Global Sidebar Options", 'ora' ),
		  ),

		  array(
			'id'      	 => 'site-global-sidebar-layout',
			'type'       => 'image_select',
			'title'      => esc_html__('Global Sidebar Layout', 'ora'),
			'options'    => array(
			  'content-full-width'   => ORA_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => ORA_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => ORA_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => ORA_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'site-global-sidebar-layout',
			),
			'desc'  => esc_html__('Choose sidebar layout for site wide.', 'ora')
		  ),
		),
	),

	// -----------------------------------------
	// Blog Archive Options
	// -----------------------------------------
	array(
	  'name'      => 'blog_archive_options',
	  'title'     => esc_html__('Blog Archive Options', 'ora'),
	  'icon'      => 'fa fa-file-archive-o',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Blog Archives Page Layout", 'ora' ),
		  ),

		  array(
			'id'      	 => 'blog-archives-page-layout',
			'type'       => 'image_select',
			'title'      => esc_html__('Page Layout', 'ora'),
			'options'    => array(
			  'content-full-width'   => ORA_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => ORA_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => ORA_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => ORA_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'blog-archives-page-layout',
			),
		  ),

		  array(
			'id'  		 => 'show-standard-left-sidebar-for-post-archives',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Standard Left Sidebar', 'ora'),
			'dependency' => array( 'blog-archives-page-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
			'default'	 => true
		  ),

		  array(
			'id'  		 => 'show-standard-right-sidebar-for-post-archives',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Standard Right Sidebar', 'ora'),
			'dependency' => array( 'blog-archives-page-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
			'default'	 => true
		  ),

		  array(
			'id'      	   => 'blog-post-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Post Layout', 'ora'),
			'options'      => array(
			  'entry-grid'  => ORA_THEME_URI . '/cs-framework-override/images/entry-grid.png',
			  'entry-list'  => ORA_THEME_URI . '/cs-framework-override/images/entry-list.png',
			  'entry-cover' => ORA_THEME_URI . '/cs-framework-override/images/entry-cover.png',
			),
			'default'      => 'entry-grid',
			'attributes'   => array(
			  'data-depend-id' => 'blog-post-layout',
			),
		  ),

		  array(
			'id'           => 'blog-post-grid-list-style',
			'type'         => 'select',
			'title'        => esc_html__('Post Style', 'ora'),
			'options'      => array(
			  'dt-sc-boxed' 			=> esc_html__('Boxed', 'ora'),
			  'dt-sc-simple'      		=> esc_html__('Simple', 'ora'),
			  'dt-sc-overlap'      		=> esc_html__('Overlap', 'ora'),
			  'dt-sc-content-overlay' 	=> esc_html__('Content Overlay', 'ora'),
			  'dt-sc-simple-withbg'		=> esc_html__('Simple with Background', 'ora'),
			  'dt-sc-overlay'   	    => esc_html__('Overlay', 'ora'),
			  'dt-sc-overlay-ii'      	=> esc_html__('Overlay II', 'ora'),
			  'dt-sc-overlay-iii'      	=> esc_html__('Overlay III', 'ora'),
			  'dt-sc-alternate'	 		=> esc_html__('Alternate', 'ora'),
			  'dt-sc-minimal'       	=> esc_html__('Minimal', 'ora'),
			  'dt-sc-modern' 	      	=> esc_html__('Modern', 'ora'),
			  'dt-sc-classic'	 		=> esc_html__('Classic', 'ora'),
			  'dt-sc-classic-ii'	 	=> esc_html__('Classic II', 'ora'),
			  'dt-sc-classic-overlay' 	=> esc_html__('Classic Overlay', 'ora'),
			  'dt-sc-grungy-boxed' 		=> esc_html__('Grungy Boxed', 'ora'),
			  'dt-sc-title-overlap'	 	=> esc_html__('Title Overlap', 'ora'),
			),
			'class'        => 'chosen',
			'default'      => 'dt-sc-classic-ii',
			'info'         => esc_html__('Choose post style to display blog archives pages.', 'ora'),
			'dependency'   => array( 'blog-post-layout', 'any', 'entry-grid,entry-list' ),
		  ),

		  array(
			'id'           => 'blog-post-cover-style',
			'type'         => 'select',
			'title'        => esc_html__('Post Style', 'ora'),
			'options'      => array(
			  'dt-sc-boxed' 			=> esc_html__('Boxed', 'ora'),
			  'dt-sc-canvas'      		=> esc_html__('Canvas', 'ora'),
			  'dt-sc-content-overlay' 	=> esc_html__('Content Overlay', 'ora'),
			  'dt-sc-overlay'   	    => esc_html__('Overlay', 'ora'),
			  'dt-sc-overlay-ii'      	=> esc_html__('Overlay II', 'ora'),
			  'dt-sc-overlay-iii'      	=> esc_html__('Overlay III', 'ora'),
			  'dt-sc-trendy' 			=> esc_html__('Trendy', 'ora'),
			  'dt-sc-mobilephone' 		=> esc_html__('Mobile Phone', 'ora'),
			),
			'class'        => 'chosen',
			'default'      => 'dt-sc-boxed',
			'info'         => esc_html__('Choose post style to display blog archives pages.', 'ora'),
			'dependency'   => array( 'blog-post-layout', '==', 'entry-cover' ),
		  ),

		  array(
			'id'      	   => 'blog-post-columns',
			'type'         => 'image_select',
			'title'        => esc_html__('Columns', 'ora'),
			'options'      => array(
			  'one-column' 		  => ORA_THEME_URI . '/cs-framework-override/images/one-column.png',
			  'one-half-column'   => ORA_THEME_URI . '/cs-framework-override/images/one-half-column.png',
			  'one-third-column'  => ORA_THEME_URI . '/cs-framework-override/images/one-third-column.png',
			  'one-fourth-column' => ORA_THEME_URI . '/cs-framework-override/images/one-fourth-column.png',
			),
			'default'      => 'one-third-column',
			'attributes'   => array(
			  'data-depend-id' => 'blog-post-columns',
			),
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-cover' ),
		  ),

		  array(
			'id'      	   => 'blog-list-thumb',
			'type'         => 'image_select',
			'title'        => esc_html__('List Type', 'ora'),
			'options'      => array(
			  'entry-left-thumb'  => ORA_THEME_URI . '/cs-framework-override/images/entry-left-thumb.png',
			  'entry-right-thumb' => ORA_THEME_URI . '/cs-framework-override/images/entry-right-thumb.png',
			),
			'default'      => 'entry-left-thumb',
			'attributes'   => array(
			  'data-depend-id' => 'blog-list-thumb',
			),
			'dependency' => array( 'blog-post-layout', '==', 'entry-list' ),
		  ),

		  array(
			'id'           => 'blog-alignment',
			'type'         => 'select',
			'title'        => esc_html__('Elements Alignment', 'ora'),
			'options'      => array(
			  'alignnone'	=> esc_html__('None', 'ora'),
			  'alignleft' 	=> esc_html__('Align Left', 'ora'),
			  'aligncenter' => esc_html__('Align Center', 'ora'),
			  'alignright'  => esc_html__('Align Right', 'ora'),
			),
			'class'        => 'chosen',
			'default'      => 'alignnone',
			'info'         => esc_html__('Choose alignment to display archives pages.', 'ora'),
			'dependency'   => array( 'blog-post-layout', 'any', 'entry-grid,entry-cover' ),
		  ),

		  array(
			'id'  		 => 'enable-equal-height',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Enable Equal Height', 'ora'),
			'info'		 => esc_html__('YES! to items display as equal height', 'ora'),
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-cover' ),
		  ),

		  array(
			'id'  		 => 'enable-no-space',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Enable No Space', 'ora'),
			'info'		 => esc_html__('YES! to items display as no space', 'ora'),
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-cover' ),
		  ),

		  array(
			'id'  		 => 'enable-gallery-slider',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Display Gallery Slider', 'ora'),
			'info'		 => esc_html__('YES! to display gallery slider', 'ora'),
			'default'    => true,
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-list' ),
		  ),

		  array(
			'id'             => 'blog-elements-position',
			'type'           => 'sorter',
			'title'          => esc_html__('Elements Positioning', 'ora'),
			'default'        => array(
			  'enabled'      => array(
				'feature_image'	=> esc_html__('Feature Image', 'ora'),
				'date'     		=> esc_html__('Date', 'ora'),
				'title'      	=> esc_html__('Title', 'ora'),
				'content'    	=> esc_html__('Content', 'ora'),
				'read_more'  	=> esc_html__('Read More', 'ora'),
			  ),
			  'disabled'     => array(
				'meta_group' 	=> esc_html__('Meta Group', 'ora'),
				'author'		=> esc_html__('Author', 'ora'),
				'comments' 		=> esc_html__('Comments', 'ora'),
				'categories'    => esc_html__('Categories', 'ora'),
				'tags'  		=> esc_html__('Tags', 'ora'),
				'social_share'  => esc_html__('Social Share', 'ora'),
				'likes_views'   => esc_html__('Likes & Views', 'ora'),
			  ),
			),
			'enabled_title'  	=> esc_html__('Active Elements', 'ora'),
			'disabled_title' 	=> esc_html__('Deactive Elements', 'ora'),
		  ),

		  array(
			'id'             => 'blog-meta-position',
			'type'           => 'sorter',
			'title'          => esc_html__('Meta Group Positioning', 'ora'),
			'default'        => array(
			  'enabled'      => array(
					'date'     		=> esc_html__('Date', 'ora'),
					'comments' 		=> esc_html__('Comments', 'ora'),
			  ),
			  'disabled'     => array(
					'author'		=> esc_html__('Author', 'ora'),
					'categories'    => esc_html__('Categories', 'ora'),
					'tags'  		=> esc_html__('Tags', 'ora'),
					'social_share'  => esc_html__('Social Share', 'ora'),
					'likes_views'   => esc_html__('Likes & Views', 'ora'),
			  ),
			),
			'enabled_title'  => esc_html__('Active Items', 'ora'),
			'disabled_title' => esc_html__('Deactive Items', 'ora'),
			'desc'  		 => esc_html__('Note: Use max 3 items for better results.', 'ora')
		  ),

		  array(
			'id'  		 => 'enable-post-format',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Enable Post Format', 'ora'),
			'info'		 => esc_html__('YES! to display post format icon', 'ora'),
			'default'	 => false
		  ),

		  array(
			'id'  		 => 'enable-excerpt-text',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Enable Excerpt Text', 'ora'),
			'info'		 => esc_html__('YES! to display excerpt content', 'ora'),
			'default'	 => true
		  ),

		  array(
			'id'  		 => 'blog-excerpt-length',
			'type'  	 => 'number',
			'title' 	 => esc_html__('Excerpt Length', 'ora'),
			'after'		 => '<span class="cs-text-desc">&nbsp;'.esc_html__('Put Excerpt Length', 'ora').'</span>',
			'default' 	 => 15,
			'dependency' => array( 'enable-excerpt-text', '==', 'true' ),
		  ),

		  array(
			'id'  		 => 'enable-video-audio',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Display Video & Audio for Posts', 'ora'),
			'info'		 => esc_html__('YES! to display video & audio, instead of feature image for posts', 'ora'),
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-list' ),
		  ),

		  array(
			'id'  		 => 'blog-readmore-text',
			'type'  	 => 'text',
			'title' 	 => esc_html__('Read More Text', 'ora'),
			'info'		 => esc_html__('Put the read more text here', 'ora'),
			'default'	 => esc_html__('Read More', 'ora')
		  ),

		  array(
			'id'           => 'blog-image-hover-style',
			'type'         => 'select',
			'title'        => esc_html__('Image Hover Style', 'ora'),
			'options'      => array(
			  'dt-sc-default' 			=> esc_html__('Default', 'ora'),
			  'dt-sc-blur'      		=> esc_html__('Blur', 'ora'),
			  'dt-sc-bw'   		   		=> esc_html__('Black and White', 'ora'),
			  'dt-sc-brightness'	 	=> esc_html__('Brightness', 'ora'),
			  'dt-sc-fadeinleft'   	    => esc_html__('Fade InLeft', 'ora'),
			  'dt-sc-fadeinright'  	    => esc_html__('Fade InRight', 'ora'),
			  'dt-sc-hue-rotate'   	    => esc_html__('Hue-Rotate', 'ora'),
			  'dt-sc-invert'	   	    => esc_html__('Invert', 'ora'),
			  'dt-sc-opacity'   	    => esc_html__('Opacity', 'ora'),
			  'dt-sc-rotate'	   	    => esc_html__('Rotate', 'ora'),
			  'dt-sc-rotate-alt'   	    => esc_html__('Rotate Alt', 'ora'),
			  'dt-sc-scalein'   	    => esc_html__('Scale In', 'ora'),
			  'dt-sc-scaleout' 	    	=> esc_html__('Scale Out', 'ora'),
			  'dt-sc-sepia'	   	    	=> esc_html__('Sepia', 'ora'),
			  'dt-sc-tint'		   	    => esc_html__('Tint', 'ora'),
			),
			'class'        => 'chosen',
			'default'      => 'dt-sc-default',
			'info'         => esc_html__('Choose image hover style to display archives pages.', 'ora'),
		  ),

		  array(
			'id'           => 'blog-image-overlay-style',
			'type'         => 'select',
			'title'        => esc_html__('Image Overlay Style', 'ora'),
			'options'      => array(
			  'dt-sc-default' 			=> esc_html__('None', 'ora'),
			  'dt-sc-fixed' 			=> esc_html__('Fixed', 'ora'),
			  'dt-sc-tb' 				=> esc_html__('Top to Bottom', 'ora'),
			  'dt-sc-bt'   				=> esc_html__('Bottom to Top', 'ora'),
			  'dt-sc-rl'   				=> esc_html__('Right to Left', 'ora'),
			  'dt-sc-lr'				=> esc_html__('Left to Right', 'ora'),
			  'dt-sc-middle'			=> esc_html__('Middle', 'ora'),
			  'dt-sc-middle-radial'		=> esc_html__('Middle Radial', 'ora'),
			  'dt-sc-tb-gradient' 		=> esc_html__('Gradient - Top to Bottom', 'ora'),
			  'dt-sc-bt-gradient'   	=> esc_html__('Gradient - Bottom to Top', 'ora'),
			  'dt-sc-rl-gradient'   	=> esc_html__('Gradient - Right to Left', 'ora'),
			  'dt-sc-lr-gradient'		=> esc_html__('Gradient - Left to Right', 'ora'),
			  'dt-sc-radial-gradient'	=> esc_html__('Gradient - Radial', 'ora'),
			  'dt-sc-flash' 			=> esc_html__('Flash', 'ora'),
			  'dt-sc-circle' 			=> esc_html__('Circle', 'ora'),
			  'dt-sc-hm-elastic'		=> esc_html__('Horizontal Elastic', 'ora'),
			  'dt-sc-vm-elastic'		=> esc_html__('Vertical Elastic', 'ora'),
			),
			'class'        => 'chosen',
			'default'      => 'dt-sc-rl-gradient',
			'info'         => esc_html__('Choose image overlay style to display archives pages.', 'ora'),
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-list' ),
		  ),

		  array(
			'id'           => 'blog-pagination',
			'type'         => 'select',
			'title'        => esc_html__('Pagination Style', 'ora'),
			'options'      => array(
			  'older_newer' 	=> esc_html__('Older & Newer', 'ora'),
			  'numbered'      	=> esc_html__('Numbered', 'ora'),
			  'load_more'      	=> esc_html__('Load More', 'ora'),
			  'infinite_scroll'	=> esc_html__('Infinite Scroll', 'ora'),
			),
			'class'        => 'chosen',
			'default'      => 'numbered',
			'info'         => esc_html__('Choose pagination style to display archives pages.', 'ora'),
		  ),

		),
	),

	// -----------------------------------------
	// Blog Single Options
	// -----------------------------------------
	array(
	  'name'      => 'blog_single_options',
	  'title'     => esc_html__('Blog Single Options', 'ora'),
	  'icon'      => 'fa fa-thumb-tack',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Blog Single Post Options", 'ora' ),
		  ),

		  array(
			'id'             => 'post-elements-position',
			'type'           => 'sorter',
			'title'          => esc_html__('Post Elements Positioning', 'ora'),
			'default'        => array(
			  'enabled'      => array(
				'content'    	=> esc_html__('Content', 'ora'),
				'meta_group' 	=> esc_html__('Meta Group', 'ora'),
				'navigation'    => esc_html__('Navigation', 'ora'),
				'comment_box' 	=> esc_html__('Comment Box', 'ora'),
			  ),
			  'disabled'     => array(
				'feature_image'	=> esc_html__('Feature Image', 'ora'),
				'title'      	=> esc_html__('Title', 'ora'),
				'author'		=> esc_html__('Author', 'ora'),
				'date'     		=> esc_html__('Date', 'ora'),
				'comments' 		=> esc_html__('Comments', 'ora'),
				'categories'    => esc_html__('Categories', 'ora'),
				'tags'  		=> esc_html__('Tags', 'ora'),
				'author_bio' 	=> esc_html__('Author Bio', 'ora'),
				'related_posts' => esc_html__('Related Posts', 'ora'),
				'social_share'  => esc_html__('Social Share', 'ora'),
				'likes_views'   => esc_html__('Likes & Views', 'ora'),
				'related_article' 	=> esc_html__('Related Article( Only Fixed )', 'ora'),
			  ),
			),
			'enabled_title'  => esc_html__('Active Elements', 'ora'),
			'disabled_title' => esc_html__('Deactive Elements', 'ora'),
		  ),

		  array(
			'id'             => 'post-meta-position',
			'type'           => 'sorter',
			'title'          => esc_html__('Meta Group Positioning', 'ora'),
			'default'        => array(
			  'enabled'      => array(
				'date'     		=> esc_html__('Date', 'ora'),
				'tags'  		=> esc_html__('Tags', 'ora'),
			  ),
			  'disabled'     => array(
				'author'		=> esc_html__('Author', 'ora'),
				'comments' 		=> esc_html__('Comments', 'ora'),
				'categories'    => esc_html__('Categories', 'ora'),
				'social_share'  => esc_html__('Social Share', 'ora'),
				'likes_views'   => esc_html__('Likes & Views', 'ora'),
			  ),
			),
			'enabled_title'  => esc_html__('Active Items', 'ora'),
			'disabled_title' => esc_html__('Deactive Items', 'ora'),
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Related Post Options", 'ora' ),
		  ),

		  array(
			'id'  		 => 'post-related-title',
			'type'  	 => 'text',
			'title' 	 => esc_html__('Related Posts Section Title', 'ora'),
			'info'		 => esc_html__('Put the related posts section title here', 'ora'),
			'default'	 => esc_html__('Related Posts', 'ora')
		  ),

		  array(
			'id'      	   => 'post-related-columns',
			'type'         => 'image_select',
			'title'        => esc_html__('Columns', 'ora'),
			'options'      => array(
			  'one-column' 		  => ORA_THEME_URI . '/cs-framework-override/images/one-column.png',
			  'one-half-column'   => ORA_THEME_URI . '/cs-framework-override/images/one-half-column.png',
			  'one-third-column'  => ORA_THEME_URI . '/cs-framework-override/images/one-third-column.png',
			  //'one-fourth-column' => ORA_THEME_URI . '/cs-framework-override/images/one-fourth-column.png',
			),
			'default'      => 'one-third-column',
			'attributes'   => array(
			  'data-depend-id' => 'post-related-columns',
			),
		  ),

		  array(
			'id'  		 => 'post-related-count',
			'type'  	 => 'number',
			'title' 	 => esc_html__('No.of Posts to Show', 'ora'),
			'info'		 => esc_html__('Put the no.of related posts to show', 'ora'),
			'default'	 => 3
		  ),

		  array(
			'id'  		 => 'enable-related-excerpt',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Enable Excerpt Text', 'ora'),
			'info'		 => esc_html__('YES! to display excerpt content', 'ora'),
			'default'	 => true
		  ),

		  array(
			'id'  		 => 'post-related-excerpt',
			'type'  	 => 'number',
			'title' 	 => esc_html__('Excerpt Length', 'ora'),
			'after'		 => '<span class="cs-text-desc">&nbsp;'.esc_html__('Put Excerpt Length', 'ora').'</span>',
			'default' 	 => 15,
			'dependency' => array( 'enable-related-excerpt', '==', 'true' ),
		  ),

		  array(
			'id'  		 => 'enable-related-carousel',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Enable Carousel', 'ora'),
			'info'		 => esc_html__('YES! to enable carousel related posts', 'ora'),
		  ),

		  array(
			'id'           => 'related-carousel-nav',
			'type'         => 'select',
			'title'        => esc_html__('Navigation Style', 'ora'),
			'options'      => array(
			  '' 			=> esc_html__('None', 'ora'),
			  'navigation'  => esc_html__('Navigations', 'ora'),
			  'pager'   	=> esc_html__('Pager', 'ora'),
			),
			'class'        => 'chosen',
			'default'      => 'text',
			'info'         => esc_html__('Choose navigation style to display related post carousel.', 'ora'),
			'dependency' => array( 'enable-related-carousel', '==', 'true' ),
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Miscellaneous Post Options", 'ora' ),
		  ),

		  array(
			'id'  		 => 'enable-image-lightbox',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Feature Image Lightbox', 'ora'),
			'info'		 => esc_html__('YES! to enable lightbox for feature image.', 'ora'),
		  ),

		  array(
			'id'           => 'post-comments-list-style',
			'type'         => 'select',
			'title'        => esc_html__('Comments List Style', 'ora'),
			'options'      => array(
			  'rounded' 	=> esc_html__('Rounded', 'ora'),
			  'square'   	=> esc_html__('Square', 'ora'),
			),
			'class'        => 'chosen',
			'default'      => 'rounded',
			'info'         => esc_html__('Choose comments list style to display single post.', 'ora'),
		  ),
		),
	),

	// -----------------------------------------
	// 404 Options
	// -----------------------------------------
	array(
	  'name'      => '404_options',
	  'title'     => esc_html__('404 Options', 'ora'),
	  'icon'      => 'fa fa-warning',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "404 Message", 'ora' ),
		  ),

		  array(
			'id'      => 'enable-404message',
			'type'    => 'switcher',
			'title'   => esc_html__('Enable Message', 'ora' ),
			'info'	  => esc_html__('YES! to enable not-found page message.', 'ora'),
			'default' => true
		  ),

		  array(
			'id'           => 'notfound-style',
			'type'         => 'select',
			'title'        => esc_html__('Template Style', 'ora'),
			'options'      => array(
			  'type1' 	   => esc_html__('Modern', 'ora'),
			  'type2'      => esc_html__('Classic', 'ora'),
			  'type4'  	   => esc_html__('Diamond', 'ora'),
			  'type5'      => esc_html__('Shadow', 'ora'),
			  'type6'      => esc_html__('Diamond Alt', 'ora'),
			  'type7'  	   => esc_html__('Stack', 'ora'),
			  'type8'  	   => esc_html__('Minimal', 'ora'),
			),
			'class'        => 'chosen',
			'default'      => 'type4',
			'info'         => esc_html__('Choose the style of not-found template page.', 'ora')
		  ),

		  array(
			'id'      => 'notfound-darkbg',
			'type'    => 'switcher',
			'title'   => esc_html__('404 Dark BG', 'ora' ),
			'info'	  => esc_html__('YES! to use dark bg notfound page for this site.', 'ora'),
			'default' => true
		  ),

		  array(
			'id'           => 'notfound-pageid',
			'type'         => 'select',
			'title'        => esc_html__('Custom Page', 'ora'),
			'options'      => 'pages',
			'class'        => 'chosen',
			'default_option' => esc_html__('Choose the page', 'ora'),
			'info'       	 => esc_html__('Choose the page for not-found content.', 'ora')
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Background Options", 'ora' ),
		  ),

		  array(
			'id'    => 'notfound_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'ora'),
			'default' => array(
              'image' => ORA_THEME_URI . '/images/portfolio-bg-7.jpg',
               'repeat'    => 'no-repeat',
                 'attachment' => 'scroll',
                 'position' => 'left top',
                 'size' => 'cover'
            ),
		  ),

		  array(
			'id'  		 => 'notfound-bg-style',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Custom Styles', 'ora'),
			'info'		 => esc_html__('Paste custom CSS styles for not found page.', 'ora')
		  ),

		),
	),

	// -----------------------------------------
	// Underconstruction Options
	// -----------------------------------------
	array(
	  'name'      => 'comingsoon_options',
	  'title'     => esc_html__('Under Construction Options', 'ora'),
	  'icon'      => 'fa fa-thumbs-down',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Under Construction", 'ora' ),
		  ),

		  array(
			'id'      => 'enable-comingsoon',
			'type'    => 'switcher',
			'title'   => esc_html__('Enable Coming Soon', 'ora' ),
			'info'	  => esc_html__('YES! to check under construction page of your website.', 'ora')
		  ),

		  array(
			'id'           => 'comingsoon-style',
			'type'         => 'select',
			'title'        => esc_html__('Template Style', 'ora'),
			'options'      => array(
			  'type1' 	   => esc_html__('Diamond', 'ora'),
			  'type2'      => esc_html__('Teaser', 'ora'),
			  'type3'  	   => esc_html__('Minimal', 'ora'),
			  'type4'      => esc_html__('Counter Only', 'ora'),
			  'type5'      => esc_html__('Belt', 'ora'),
			  'type6'  	   => esc_html__('Classic', 'ora'),
			  'type7'  	   => esc_html__('Boxed', 'ora')
			),
			'class'        => 'chosen',
			'default'      => 'type4',
			'info'         => esc_html__('Choose the style of coming soon template.', 'ora'),
		  ),

		  array(
			'id'      => 'uc-darkbg',
			'type'    => 'switcher',
			'title'   => esc_html__('Coming Soon Dark BG', 'ora' ),
			'info'	  => esc_html__('YES! to use dark bg coming soon page for this site.', 'ora'),
			'default' => true,
		  ),

		  array(
			'id'           => 'comingsoon-pageid',
			'type'         => 'select',
			'title'        => esc_html__('Custom Page', 'ora'),
			'options'      => 'pages',
			'class'        => 'chosen',
			'default_option' => esc_html__('Choose the page', 'ora'),
			'info'       	 => esc_html__('Choose the page for comingsoon content.', 'ora')
		  ),

		  array(
			'id'      => 'show-launchdate',
			'type'    => 'switcher',
			'title'   => esc_html__('Show Launch Date', 'ora' ),
			'info'	  => esc_html__('YES! to show launch date text.', 'ora'),
		  ),

		  array(
			'id'      => 'comingsoon-launchdate',
			'type'    => 'text',
			'title'   => esc_html__('Launch Date', 'ora'),
			'attributes' => array(
			  'placeholder' => '10/30/2016 12:00:00'
			),
			'after' 	=> '<p class="cs-text-info">'.esc_html__('Put Format: 12/30/2016 12:00:00 month/day/year hour:minute:second', 'ora').'</p>',
			'default'   => '03/16/2020',
		  ),

		  array(
			'id'           => 'comingsoon-timezone',
			'type'         => 'select',
			'title'        => esc_html__('UTC Timezone', 'ora'),
			'options'      => array(
			  '-12' => '-12', '-11' => '-11', '-10' => '-10', '-9' => '-9', '-8' => '-8', '-7' => '-7', '-6' => '-6', '-5' => '-5',
			  '-4' => '-4', '-3' => '-3', '-2' => '-2', '-1' => '-1', '0' => '0', '+1' => '+1', '+2' => '+2', '+3' => '+3', '+4' => '+4',
			  '+5' => '+5', '+6' => '+6', '+7' => '+7', '+8' => '+8', '+9' => '+9', '+10' => '+10', '+11' => '+11', '+12' => '+12'
			),
			'class'        => 'chosen',
			'default'      => '0',
			'info'         => esc_html__('Choose utc timezone, by default UTC:00:00', 'ora'),
		  ),

		  array(
			'id'    => 'comingsoon_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'ora'),
			'default' => array(
              'image' => ORA_THEME_URI . '/images/portfolio-6.jpg',
               'repeat'    => 'no-repeat',
                 'attachment' => 'scroll',
                 'position' => 'left top',
                 'size' => 'cover'
            ),
		  ),

		  array(
			'id'  		 => 'comingsoon-bg-style',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Custom Styles', 'ora'),
			'info'		 => esc_html__('Paste custom CSS styles for under construction page.', 'ora'),
		  ),

		),
	),

  ),
);

// -----------------------------------------
// Widget area Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'widgetarea_options',
  'title'       => esc_html__('Widget Area', 'ora'),
  'icon'        => 'fa fa-trello',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Custom Widget Area for Sidebar", 'ora' ),
	  ),

	  array(
		'id'           => 'wtitle-style',
		'type'         => 'select',
		'title'        => esc_html__('Sidebar widget Title Style', 'ora'),
		'options'      => array(
		  'default'    => esc_html__('Choose any type', 'ora'),
		  'type1' 	   => esc_html__('Double Border', 'ora'),
		  'type2'      => esc_html__('Tooltip', 'ora'),
		  'type3'  	   => esc_html__('Title Top Border', 'ora'),
		  'type4'      => esc_html__('Left Border & Pattren', 'ora'),
		  'type5'      => esc_html__('Bottom Border', 'ora'),
		  'type6'  	   => esc_html__('Tooltip Border', 'ora'),
		  'type7'  	   => esc_html__('Boxed Modern', 'ora'),
		  'type8'  	   => esc_html__('Elegant Border', 'ora'),
		  'type9' 	   => esc_html__('Needle', 'ora'),
		  'type10' 	   => esc_html__('Ribbon', 'ora'),
		  'type11' 	   => esc_html__('Content Background', 'ora'),
		  'type12' 	   => esc_html__('Classic BG', 'ora'),
		  'type13' 	   => esc_html__('Tiny Boders', 'ora'),
		  'type14' 	   => esc_html__('BG & Border', 'ora'),
		  'type15' 	   => esc_html__('Classic BG Alt', 'ora'),
		  'type16' 	   => esc_html__('Left Border & BG', 'ora'),
		  'type17' 	   => esc_html__('Basic', 'ora'),
		  'type18' 	   => esc_html__('BG & Pattern', 'ora'),
		),
		'class'          => 'chosen',
		'default' 		 =>  'default',
		'info'           => esc_html__('Choose the style of sidebar widget title.', 'ora')
	  ),

	  array(
		'id'              => 'widgetarea-custom',
		'type'            => 'group',
		'title'           => esc_html__('Custom Widget Area', 'ora'),
		'button_title'    => esc_html__('Add New', 'ora'),
		'accordion_title' => esc_html__('Add New Widget Area', 'ora'),
		'fields'          => array(

		  array(
			'id'          => 'widgetarea-custom-name',
			'type'        => 'text',
			'title'       => esc_html__('Name', 'ora'),
		  ),

		)
	  ),

	),
);

// -----------------------------------------
// Sociable Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'sociable_options',
  'title'       => esc_html__('Sociable', 'ora'),
  'icon'        => 'fa fa-share-square',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Sociable", 'ora' ),
	  ),

	  array(
		'id'              => 'sociable_fields',
		'type'            => 'group',
		'title'           => esc_html__('Sociable', 'ora'),
		'info'            => esc_html__('Click button to add type of social & url.', 'ora'),
		'button_title'    => esc_html__('Add New Social', 'ora'),
		'accordion_title' => esc_html__('Adding New Social Field', 'ora'),
		'fields'          => array(
		  array(
			'id'          => 'sociable_fields_type',
			'type'        => 'select',
			'title'       => esc_html__('Select Social', 'ora'),
			'options'      => array(
			  'delicious' 	 => esc_html__('Delicious', 'ora'),
			  'deviantart' 	 => esc_html__('Deviantart', 'ora'),
			  'digg' 	  	 => esc_html__('Digg', 'ora'),
			  'dribbble' 	 => esc_html__('Dribbble', 'ora'),
			  'envelope' 	 => esc_html__('Envelope', 'ora'),
			  'facebook' 	 => esc_html__('Facebook', 'ora'),
			  'flickr' 		 => esc_html__('Flickr', 'ora'),
			  'google-plus'  => esc_html__('Google Plus', 'ora'),
			  'gtalk'  		 => esc_html__('GTalk', 'ora'),
			  'instagram'	 => esc_html__('Instagram', 'ora'),
			  'lastfm'	 	 => esc_html__('Lastfm', 'ora'),
			  'linkedin'	 => esc_html__('Linkedin', 'ora'),
			  'pinterest'	 => esc_html__('Pinterest', 'ora'),
			  'reddit'		 => esc_html__('Reddit', 'ora'),
			  'rss'		 	 => esc_html__('RSS', 'ora'),
			  'skype'		 => esc_html__('Skype', 'ora'),
			  'stumbleupon'	 => esc_html__('Stumbleupon', 'ora'),
			  'tumblr'		 => esc_html__('Tumblr', 'ora'),
			  'twitter'		 => esc_html__('Twitter', 'ora'),
			  'viadeo'		 => esc_html__('Viadeo', 'ora'),
			  'vimeo'		 => esc_html__('Vimeo', 'ora'),
			  'yahoo'		 => esc_html__('Yahoo', 'ora'),
			  'youtube'		 => esc_html__('Youtube', 'ora'),
			),
			'class'        => 'chosen',
			'default'      => 'delicious',
		  ),

		  array(
			'id'          => 'sociable_fields_url',
			'type'        => 'text',
			'title'       => esc_html__('Enter URL', 'ora')
		  ),
		)
	  ),

   ),
);

// -----------------------------------------
// Hook Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'hook_options',
  'title'       => esc_html__('Hooks', 'ora'),
  'icon'        => 'fa fa-paperclip',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Top Hook", 'ora' ),
	  ),

	  array(
		'id'  	=> 'enable-top-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Top Hook', 'ora'),
		'info'	=> esc_html__("YES! to enable top hook.", 'ora')
	  ),

	  array(
		'id'  		 => 'top-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Top Hook', 'ora'),
		'info'		 => esc_html__('Paste your top hook, Executes after the opening &lt;body&gt; tag.', 'ora')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Content Before Hook", 'ora' ),
	  ),

	  array(
		'id'  	=> 'enable-content-before-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Content Before Hook', 'ora'),
		'info'	=> esc_html__("YES! to enable content before hook.", 'ora')
	  ),

	  array(
		'id'  		 => 'content-before-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Content Before Hook', 'ora'),
		'info'		 => esc_html__('Paste your content before hook, Executes before the opening &lt;#primary&gt; tag.', 'ora')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Content After Hook", 'ora' ),
	  ),

	  array(
		'id'  	=> 'enable-content-after-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Content After Hook', 'ora'),
		'info'	=> esc_html__("YES! to enable content after hook.", 'ora')
	  ),

	  array(
		'id'  		 => 'content-after-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Content After Hook', 'ora'),
		'info'		 => esc_html__('Paste your content after hook, Executes after the closing &lt;/#main&gt; tag.', 'ora')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Bottom Hook", 'ora' ),
	  ),

	  array(
		'id'  	=> 'enable-bottom-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Bottom Hook', 'ora'),
		'info'	=> esc_html__("YES! to enable bottom hook.", 'ora')
	  ),

	  array(
		'id'  		 => 'bottom-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Bottom Hook', 'ora'),
		'info'		 => esc_html__('Paste your bottom hook, Executes after the closing &lt;/body&gt; tag.', 'ora')
	  ),

  array(
		'id'  	=> 'enable-analytics-code',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Tracking Code', 'ora'),
		'info'	=> esc_html__("YES! to enable site tracking code.", 'ora')
	  ),

	  array(
		'id'  		 => 'analytics-code',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Google Analytics Tracking Code', 'ora'),
		'info'		 => esc_html__('Either enter your Google tracking id (UA-XXXXX-X) here. If you want to offer your visitors the option to stop being tracked you can place the shortcode [dt_sc_privacy_google_tracking] somewhere on your site', 'ora')
	  ),

   ),
);

// -----------------------------------------
// Custom Font Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'font_options',
  'title'       => esc_html__('Custom Fonts', 'ora'),
  'icon'        => 'fa fa-font',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Custom Fonts", 'ora' ),
	  ),

	  array(
		'id'              => 'custom_font_fields',
		'type'            => 'group',
		'title'           => esc_html__('Custom Font', 'ora'),
		'info'            => esc_html__('Click button to add font name & urls.', 'ora'),
		'button_title'    => esc_html__('Add New Font', 'ora'),
		'accordion_title' => esc_html__('Adding New Font Field', 'ora'),
		'fields'          => array(
		  array(
			'id'          => 'custom_font_name',
			'type'        => 'text',
			'title'       => esc_html__('Font Name', 'ora')
		  ),

		  array(
			'id'      => 'custom_font_woof',
			'type'    => 'upload',
			'title'   => esc_html__('Upload File (*.woff)', 'ora'),
			'after'   => '<p class="cs-text-muted">'.esc_html__('You can upload custom font family (*.woff) file here.', 'ora').'</p>',
		  ),

		  array(
			'id'      => 'custom_font_woof2',
			'type'    => 'upload',
			'title'   => esc_html__('Upload File (*.woff2)', 'ora'),
			'after'   => '<p class="cs-text-muted">'.esc_html__('You can upload custom font family (*.woff2) file here.', 'ora').'</p>',
		  )
		)
	  ),

   ),
);

// ------------------------------
// backup
// ------------------------------
$options[]   = array(
  'name'     => 'backup_section',
  'title'    => esc_html__('Backup', 'ora'),
  'icon'     => 'fa fa-shield',
  'fields'   => array(

    array(
      'type'    => 'notice',
      'class'   => 'warning',
      'content' => esc_html__('You can save your current options. Download a Backup and Import.', 'ora')
    ),

    array(
      'type'    => 'backup',
    ),

  )
);

// ------------------------------
// license
// ------------------------------
$options[]   = array(
  'name'     => 'theme_version',
  'title'    => constant('ORA_THEME_NAME').esc_html__(' Log', 'ora'),
  'icon'     => 'fa fa-info-circle',
  'fields'   => array(

    array(
      'type'    => 'heading',
      'content' => constant('ORA_THEME_NAME').esc_html__(' Theme Change Log', 'ora')
    ),
    array(
      'type'    => 'content',
	  'content' => '<pre>

2021.01.25 - version 1.7
* Compatible with wordpress 5.6
* Some design issues updated
* Updated: All premium plugins

2020.12.08 - version 1.6
* Latest jQuery fixes updated
* Updated: All premium plugins

2020.08.13 - version 1.5
* Compatible with wordpress 5.5

2020.08.05 - version 1.4

* Updated: Envato Theme check
* Updated: sanitize_text_field added
* Updated: All wordpress theme standards
* Updated: All premium plugins

2020.02.01 - version 1.3

* Compatible with wordpress 5.3.2
* Updated: All premium plugins
* Updated: All wordpress theme standards
* Updated: Privacy and Cookies concept
* Updated: Gutenberg editor support for custom post types

* Fixed: Privacy Button Issue

* Improved: Single product breadcrumb section
* Improved: Revisions options added for all custom posts

2019.11.30 - version 1.2
* Updated all wordpress theme standards
* Compatible with latest Gutenberg editor
* Compatible with wordpress 5.3

* Updated: All premium plugins
* Updated: Revisions added to all custom post types

* Fixed: Customizer logo option
* Fixed: Google Analytics issue
* Fixed: Mailchimp email client issue
* Fixed: Gutenberg check for old wordpress version
* Fixed: Edit with Visual Composer for portfolio
* Fixed: Smooth scrolling in ie 11
* Fixed: Site title color

* Improved: Tags taxonomy added for portfolio
* Improved: Woocommerce cart module added with custom class option

* New: Whatsapp Shortcode

2019.06.05 - version 1.1
 * Optimized Demo Content Updated
 * Demo Slider Zip archive Included

2019.05.31 - version 1.0
 * First release!  </pre>',
    ),

  )
);

// ------------------------------
// Seperator
// ------------------------------
$options[] = array(
  'name'   => 'seperator_1',
  'title'  => esc_html__('Plugin Options', 'ora'),
  'icon'   => 'fa fa-plug'
);

// -----------------------------------------
// Woocommerce Options
// -----------------------------------------
if( function_exists( 'is_woocommerce' ) ) {

	$product_style_templates = cs_get_option( 'dt-woo-product-style-templates' );
	$product_style_templates = (is_array($product_style_templates) && !empty($product_style_templates)) ? $product_style_templates : false;

	$product_style_templates_arr = array ();
	if($product_style_templates) {
		foreach($product_style_templates as $product_style_template_key => $product_style_template) {
			$product_style_templates_arr[$product_style_template_key] = $product_style_template['template-title'];
		}
	}

	$woo_page_layouts = array(
		'content-full-width'   => ORA_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
		'with-left-sidebar'    => ORA_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
		'with-right-sidebar'   => ORA_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
	);

	$social_follow = array (
			  'delicious' 	 => esc_html__('Delicious', 'ora'),
			  'deviantart' 	 => esc_html__('Deviantart', 'ora'),
			  'digg' 	  	 => esc_html__('Digg', 'ora'),
			  'dribbble' 	 => esc_html__('Dribbble', 'ora'),
			  'envelope' 	 => esc_html__('Envelope', 'ora'),
			  'facebook' 	 => esc_html__('Facebook', 'ora'),
			  'flickr' 		 => esc_html__('Flickr', 'ora'),
			  'google-plus'  => esc_html__('Google Plus', 'ora'),
			  'gtalk'  		 => esc_html__('GTalk', 'ora'),
			  'instagram'	 => esc_html__('Instagram', 'ora'),
			  'lastfm'	 	 => esc_html__('Lastfm', 'ora'),
			  'linkedin'	 => esc_html__('Linkedin', 'ora'),
			  'pinterest'	 => esc_html__('Pinterest', 'ora'),
			  'reddit'		 => esc_html__('Reddit', 'ora'),
			  'rss'		 	 => esc_html__('RSS', 'ora'),
			  'skype'		 => esc_html__('Skype', 'ora'),
			  'stumbleupon'	 => esc_html__('Stumbleupon', 'ora'),
			  'tumblr'		 => esc_html__('Tumblr', 'ora'),
			  'twitter'		 => esc_html__('Twitter', 'ora'),
			  'viadeo'		 => esc_html__('Viadeo', 'ora'),
			  'vimeo'		 => esc_html__('Vimeo', 'ora'),
			  'yahoo'		 => esc_html__('Yahoo', 'ora'),
			  'youtube'		 => esc_html__('Youtube', 'ora')
			);

	$social_follow_options = array ();
	foreach($social_follow as $socialfollow_key => $socialfollow) {

		$social_follow_option = array(
							'id'    => 'dt-single-product-show-follow-'.$socialfollow_key,
							'type'  => 'switcher',
							'title' => sprintf(esc_html__('Show %1$s Follow', 'ora'), $socialfollow),
						);
		array_push($social_follow_options, $social_follow_option);

	}

	array_push($social_follow_options, array(
						  'type'    => 'notice',
						  'class'   => 'info',
						  'content' => esc_html__('For Sociables Follow - links must be defined under "Sociables" tab. Sociables Share & Sociables Follow option is used for "Custom Template" single product settings.', 'ora' )
						));


	$options[] = array(
		'name'     => 'dtwoo',
		'title'    => esc_html__( 'WooCommerce', 'ora' ),
		'icon'     => 'fa fa-shopping-cart',
		'sections' => array(

			// Shop
				array(
					'name'	=> 'dt-woo-shop',
					'title'	=> esc_html__('Shop', 'ora'),
					'icon'  => 'fa fa-angle-double-right',
					'fields'=> array(
						array(
							'type'    => 'subheading',
							'content' => esc_html__( 'Shop Page Settings', 'ora' ),
						),

						array(
							'id'         => 'shop-page-layout',
							'type'       => 'image_select',
							'title'      => esc_html__('Page Layout', 'ora'),
							'options'    => $woo_page_layouts,
							'default'    => 'content-full-width',
							'attributes' => array( 'data-depend-id' => 'dt-woo-shop-page-layout' )
						),

						array(
							'id'         => 'shop-page-show-standard-sidebar',
							'type'       => 'switcher',
							'title'      => esc_html__('Show Standard Sidebar', 'ora'),
							'dependency' => array( 'dt-woo-shop-page-layout', 'any', 'with-left-sidebar,with-right-sidebar' )
						),

						array(
							'id'         => 'shop-page-widgetareas',
							'type'       => 'select',
							'title'      => esc_html__('Choose Custom Widget Area', 'ora'),
							'class'      => 'chosen',
							'options'    => ora_custom_widgets(),
							'dependency' => array( 'dt-woo-shop-page-layout', 'any', 'with-left-sidebar,with-right-sidebar' ),
							'attributes' => array(
								'multiple'         => 'multiple',
								'data-placeholder' => esc_attr__('Select Widget Areas', 'ora'),
								'style'            => 'width: 400px;'
							),
						),

						array(
							'id'      => 'shop-product-per-page',
							'type'    => 'number',
							'title'   => esc_html__('Products Per Page', 'ora'),
							'after'   => '<span class="cs-text-desc">&nbsp;'.esc_html__('Number of products to show in catalog / shop page', 'ora').'</span>',
							'default' => 12,
						),

						array(
							'id'         => 'shop-page-product-layout',
							'type'       => 'image_select',
							'title'      => esc_html__('Product Layout', 'ora'),
							'options'    => array(
								1 => ORA_THEME_URI . '/cs-framework-override/images/one-column.png',
								2 => ORA_THEME_URI . '/cs-framework-override/images/one-half-column.png',
								3 => ORA_THEME_URI . '/cs-framework-override/images/one-third-column.png',
								4 => ORA_THEME_URI . '/cs-framework-override/images/one-fourth-column.png'
							),
							'default'    => 4,
						),

				        array(
				          'id'         => 'shop-page-product-style-template',
				          'type'       => 'select',
				          'title'      => esc_html__('Product Style Template', 'ora'),
						  'options'    => $product_style_templates_arr,
						  'default'    => 0
				        ),

								array(
									'id'         => 'shop-page-enable-breadcrumb',
									'type'       => 'switcher',
									'title'      => esc_html__('Enable Breadcrumb', 'ora'),
									'info'       => esc_html__('YES! to show breadcrumb on shop page.', 'ora'),
									'default'	 => true
								),

								array(
									'id'  		 => 'shop-page-bottom-hook',
									'type'  	 => 'textarea',
									'title' 	 => esc_html__('Bottom Hook', 'ora'),
									'info'		 => esc_html__('Content added here will be shown below shop listings.', 'ora')
								),

						array(
							'type'    => 'subheading',
							'content' => esc_html__( "Shop Page Sorter Settings", 'ora' ),
						),

						array(
							'id'         => 'product-show-sorter-on-header',
							'type'       => 'switcher',
							'title'      => esc_html__('Show Sorter On Header', 'ora'),
							'attributes' => array( 'data-depend-id' => 'dt-woo-shop-product-sorter-on-header' ),
							'info'       => esc_html__('YES! to show sorter bar on header.', 'ora')
						),

						array(
							'id'             => 'product-sorter-header-elements',
							'type'           => 'sorter',
							'title'          => esc_html__('Sorter Header Elements', 'ora'),
							'default'        => array(
								'enabled'      => array(
									'filter'       => esc_html__('Filter', 'ora'),
									'result_count' => esc_html__('Result Count', 'ora'),
									'pagination'   => esc_html__('Pagination', 'ora'),
								),
								'disabled'     => array(
									'display_mode'         => esc_html__('Display Mode', 'ora'),
									'display_mode_options' => esc_html__('Display Mode Options', 'ora'),
								),
							),
							'enabled_title'  => esc_html__('Active Elements', 'ora'),
							'disabled_title' => esc_html__('Deatcive Elements', 'ora'),
							'dependency' => array( 'dt-woo-shop-product-sorter-on-header', '==', 'true' )
						),

						array(
							'id'         => 'product-show-sorter-on-footer',
							'type'       => 'switcher',
							'title'      => esc_html__('Show Sorter On Footer', 'ora'),
							'attributes' => array( 'data-depend-id' => 'dt-woo-shop-product-sorter-on-footer' ),
							'info'       => esc_html__('YES! to show sorter bar on footer.', 'ora')
						),

						array(
							'id'             => 'product-sorter-footer-elements',
							'type'           => 'sorter',
							'title'          => esc_html__('Sorter Footer Elements', 'ora'),
							'default'        => array(
								'enabled'      => array(
									'filter'       => esc_html__('Filter', 'ora'),
									'result_count' => esc_html__('Result Count', 'ora'),
									'pagination'   => esc_html__('Pagination', 'ora'),
								),
								'disabled'     => array(
									'display_mode'         => esc_html__('Display Mode', 'ora'),
									'display_mode_options' => esc_html__('Display Mode Options', 'ora'),
								),
							),
							'enabled_title'  => esc_html__('Active Elements', 'ora'),
							'disabled_title' => esc_html__('Deatcive Elements', 'ora'),
							'dependency' => array( 'dt-woo-shop-product-sorter-on-footer', '==', 'true' )
						)

					)
				),

			// Product Category
				array(
					'name'	=> 'dt-woo-cat-archive',
					'title'	=> esc_html__('Category Archive', 'ora'),
					'icon'  => 'fa fa-angle-double-right',
					'fields'=> array(

						array(
							'type'    => 'subheading',
							'content' => esc_html__( 'Category Archive Settings', 'ora' ),
						),

						array(
							'id'         => 'dt-woo-category-archive-layout',
							'type'       => 'image_select',
							'title'      => esc_html__('Page Layout', 'ora'),
							'options'    => $woo_page_layouts,
							'default'    => 'with-left-sidebar',
							'attributes' => array( 'data-depend-id' => 'dt-woo-category-archive-layout' )
						),

						array(
							'id'         => 'dt-woo-category-archive-show-standard-sidebar',
							'type'       => 'switcher',
							'title'      => esc_html__('Show Standard Sidebar', 'ora'),
							'dependency' => array( 'dt-woo-category-archive-layout', 'any', 'with-left-sidebar,with-right-sidebar' )
						),

						array(
							'id'         => 'dt-woo-category-archive-widgetareas',
							'type'       => 'select',
							'title'      => esc_html__('Choose Custom Widget Area', 'ora'),
							'class'      => 'chosen',
							'options'    => ora_custom_widgets(),
							'dependency' => array( 'dt-woo-category-archive-layout', 'any', 'with-left-sidebar,with-right-sidebar' ),
							'attributes' => array(
								'multiple'         => 'multiple',
								'data-placeholder' => esc_attr__('Select Widget Areas', 'ora'),
								'style'            => 'width: 400px;'
							),
						),

						array(
							'id'      => 'dt-woo-category-archive-product-per-page',
							'type'    => 'number',
							'title'   => esc_html__('Products Per Page', 'ora'),
							'after'   => '<span class="cs-text-desc">&nbsp;'.esc_html__('Number of products to show in product category archive page', 'ora').'</span>',
							'default' => get_option( 'posts_per_page' ),
						),

						array(
							'id'      => 'dt-woo-category-archive-product-column',
							'type'    => 'image_select',
							'title'   => esc_html__('Product Layout', 'ora'),
							'options' => array(
								1 => ORA_THEME_URI . '/cs-framework-override/images/one-column.png',
								2 => ORA_THEME_URI . '/cs-framework-override/images/one-half-column.png',
								3 => ORA_THEME_URI . '/cs-framework-override/images/one-third-column.png',
								4 => ORA_THEME_URI . '/cs-framework-override/images/one-fourth-column.png'
							),
							'default' => 4,
						),

				        array(
				          'id'         => 'dt-woo-category-product-style-template',
				          'type'       => 'select',
				          'title'      => esc_html__('Product Style Template', 'ora'),
						  'options'    => $product_style_templates_arr,
						  'default'    => 0
						),

						array(
							'id'         => 'dt-woo-category-archive-enable-breadcrumb',
							'type'       => 'switcher',
							'title'      => esc_html__('Enable Breadcrumb', 'ora'),
							'info'       => esc_html__('YES! to show breadcrumb on category archive page.', 'ora'),
							'default'	 => true
						)

					)
				),

			// Product Tag
				array(
					'name'	=> 'dt-woo-tag-archive',
					'title'	=> esc_html__('Tag Archive', 'ora'),
					'icon'  => 'fa fa-angle-double-right',
					'fields'=> array(

						array(
							'type'    => 'subheading',
							'content' => esc_html__( 'Tag Archive Settings', 'ora' ),
						),

						array(
							'id'         => 'dt-woo-tag-archive-layout',
							'type'       => 'image_select',
							'title'      => esc_html__('Page Layout', 'ora'),
							'options'    => $woo_page_layouts,
							'default'    => 'with-left-sidebar',
							'attributes' => array( 'data-depend-id' => 'dt-woo-tag-archive-layout' )
						),

						array(
							'id'         => 'dt-woo-tag-archive-show-standard-sidebar',
							'type'       => 'switcher',
							'title'      => esc_html__('Show Standard Sidebar', 'ora'),
							'dependency' => array( 'dt-woo-tag-archive-layout', 'any', 'with-left-sidebar,with-right-sidebar' )
						),

						array(
							'id'         => 'dt-woo-tag-archive-widgetareas',
							'type'       => 'select',
							'title'      => esc_html__('Choose Custom Widget Area', 'ora'),
							'class'      => 'chosen',
							'options'    => ora_custom_widgets(),
							'dependency' => array( 'dt-woo-tag-archive-layout', 'any', 'with-left-sidebar,with-right-sidebar' ),
							'attributes' => array(
								'multiple'         => 'multiple',
								'data-placeholder' => esc_attr__('Select Widget Areas', 'ora'),
								'style'            => 'width: 400px;'
							),
						),

						array(
							'id'      => 'dt-woo-tag-archive-product-per-page',
							'type'    => 'number',
							'title'   => esc_html__('Products Per Page', 'ora'),
							'after'   => '<span class="cs-text-desc">&nbsp;'.esc_html__('Number of products to show in product tag archive page', 'ora').'</span>',
							'default' => get_option( 'posts_per_page' ),
						),

						array(
							'id'      => 'dt-woo-tag-archive-product-column',
							'type'    => 'image_select',
							'title'   => esc_html__('Product Layout', 'ora'),
							'options' => array(
								2 => ORA_THEME_URI . '/cs-framework-override/images/one-half-column.png',
								3 => ORA_THEME_URI . '/cs-framework-override/images/one-third-column.png',
								4 => ORA_THEME_URI . '/cs-framework-override/images/one-fourth-column.png'
							),
							'default' => 4,
						),

				        array(
				          'id'         => 'dt-woo-tag-product-style-template',
				          'type'       => 'select',
				          'title'      => esc_html__('Product Style Template', 'ora'),
						  'options'    => $product_style_templates_arr,
						  'default'    => 0
						),

						array(
							'id'         => 'dt-woo-tag-archive-enable-breadcrumb',
							'type'       => 'switcher',
							'title'      => esc_html__('Enable Breadcrumb', 'ora'),
							'info'       => esc_html__('YES! to show breadcrumb on tag archive page.', 'ora'),
							'default'	 => true
						)
					)
				),

			// Product
				array(
					'name'   => 'dt-woo-single-product',
					'title'  => esc_html__('Product', 'ora'),
					'icon'   => 'fa fa-angle-double-right',
					'fields' => array_merge (
						array(

							array(
								'type'    => 'subheading',
								'content' => esc_html__( 'Single Product Page Default Settings', 'ora' ),
							),

							array(
								'id'      => 'dt-single-product-default-template',
								'type'    => 'select',
								'title'   => esc_html__('Product Template', 'ora'),
								'class'   => 'chosen',
								'options' => array(
									'woo-default'     => esc_html__( 'WooCommerce Default', 'ora' ),
									'custom-template' => esc_html__( 'Custom Template', 'ora' )
								),
								'default'    => 'woo-default',
								'info'       => esc_html__('Don\'t use product shortcodes in content area when "WooCommerce Default" template is chosen.', 'ora')
							),

							array(
								'id'         => 'dt-single-product-default-layout',
								'type'       => 'image_select',
								'title'      => esc_html__('Page Layout', 'ora'),
								'options'    => $woo_page_layouts,
								'default'    => 'content-full-width',
								'attributes' => array( 'data-depend-id' => 'dt-single-product-default-layout' )
							),

							array(
								'id'         => 'dt-single-product-show-default-sidebar',
								'type'       => 'switcher',
								'title'      => esc_html__('Show Standard Sidebar', 'ora'),
								'dependency' => array( 'dt-single-product-default-layout', 'any', 'with-left-sidebar,with-right-sidebar' )
							),

							array(
								'id'         => 'dt-single-product-widgetareas',
								'type'       => 'select',
								'title'      => esc_html__('Choose Custom Widget Area', 'ora'),
								'class'      => 'chosen',
								'options'    => ora_custom_widgets(),
								'dependency' => array( 'dt-single-product-default-layout', 'any', 'with-left-sidebar,with-right-sidebar' ),
								'attributes' => array(
									'multiple'         => 'multiple',
									'data-placeholder' => esc_attr__('Select Widget Areas', 'ora'),
									'style'            => 'width: 400px;'
								),
							),

							array(
								'id'		 => 'dt-single-product-sale-countdown-timer',
								'type'		 => 'switcher',
								'title'		 => esc_html__('Enable Sale Countdown Timer', 'ora'),
								'info'       => esc_html__('This option is applicable for "WooCommerce Default" template page only.', 'ora'),
								'default'	 => true
							),

							array(
								'id'		 => 'dt-single-product-enable-size-guide',
								'type'		 => 'switcher',
								'title'		 => esc_html__('Enable Size Guide Button', 'ora'),
								'info'       => esc_html__('This option is applicable for "WooCommerce Default" template page only.', 'ora'),
								'default'	 => true
							),

							array(
								'id'		 => 'dt-single-product-enable-ajax-addtocart',
								'type'		 => 'switcher',
								'title'		 => esc_html__('Enable Ajax Add To Cart', 'ora'),
								'info'       => esc_html__('If you wish, you can have ajax functionality in single page add to cart button.', 'ora')
							),

							array(
								'id'         => 'dt-single-product-enable-breadcrumb',
								'type'       => 'switcher',
								'title'      => esc_html__('Enable Breadcrumb', 'ora'),
								'info'       => esc_html__('YES! to show breadcrumb on single product page.', 'ora'),
								'default'	 => true
							),

							array(
								'type'    => 'subheading',
								'content' => esc_html__( 'Single Page Upsell Products Settings', 'ora' ),
							),

							array(
								'id'		 => 'dt-single-product-default-show-upsell',
								'type'		 => 'switcher',
								'title'		 => esc_html__('Show Upsell Products', 'ora'),
								'default' 	 => false
							),

							array(
								'id'  		=> 'dt-single-product-upsell-title',
								'type'  	=> 'wysiwyg',
								'title' 	=> esc_html__('Upsell Title', 'ora'),
								'default'	=> '<h2>'.esc_html__('You may also like&hellip;', 'ora').'</h2>'
							),

							array(
								'id'      => 'dt-single-product-upsell-column',
								'type'    => 'image_select',
								'title'   => esc_html__('Upsell Column', 'ora'),
								'after'   => '<span class="cs-text-desc">&nbsp;'.esc_html__('Select upsell products column layout', 'ora').'</span>',
								'default' => 4,
								'options' => array(
									1 => ORA_THEME_URI . '/cs-framework-override/images/one-column.png',
									2 => ORA_THEME_URI . '/cs-framework-override/images/one-half-column.png',
									3 => ORA_THEME_URI . '/cs-framework-override/images/one-third-column.png',
									4 => ORA_THEME_URI . '/cs-framework-override/images/one-fourth-column.png',
								)
							),

							array(
								'id'      => 'dt-single-product-upsell-limit',
								'type'    => 'select',
								'title'   => esc_html__('Upsell Limit', 'ora'),
								'after'   => '<span class="cs-text-desc">&nbsp;'.esc_html__('Select upsell products limit', 'ora').'</span>',
								'default' => 4,
								'options' => array(
									1 => esc_html__( '1', 'ora' ),
									2 => esc_html__( '2', 'ora' ),
									3 => esc_html__( '3', 'ora' ),
									4 => esc_html__( '4', 'ora' ),
									5 => esc_html__( '5', 'ora' ),
									6 => esc_html__( '6', 'ora' ),
									7 => esc_html__( '7', 'ora' ),
									8 => esc_html__( '8', 'ora' ),
									9 => esc_html__( '9', 'ora' ),
									10 => esc_html__( '10', 'ora' ),
								)
							),

					        array(
					          'id'         => 'dt-woo-single-product-upsell-style-template',
					          'type'       => 'select',
					          'title'      => esc_html__('Product Style Template', 'ora'),
					          'options'    => $product_style_templates_arr
					        ),

							array(
								'type'    => 'subheading',
								'content' => esc_html__( 'Single Page Related Products Settings', 'ora' ),
							),

							array(
								'id'    	=> 'dt-single-product-default-show-related',
								'type'  	=> 'switcher',
								'title' 	=> esc_html__('Show Related Products', 'ora'),
								'default' 	=> true
							),

							array(
								'id'      => 'dt-single-product-related-title',
								'type'    => 'wysiwyg',
								'title'   => esc_html__('Related Product Title', 'ora'),
								'default' => '<h2>'.esc_html__('Related products', 'ora').'</h2>'
							),

							array(
								'id'      => 'dt-single-product-related-column',
								'type'    => 'image_select',
								'title'   => esc_html__('Related Column', 'ora'),
								'after'   => '<span class="cs-text-desc">&nbsp;'.esc_html__('Select related products column layout', 'ora').'</span>',
								'default' => 4,
								'options' => array(
									2 => ORA_THEME_URI . '/cs-framework-override/images/one-half-column.png',
									3 => ORA_THEME_URI . '/cs-framework-override/images/one-third-column.png',
									4 => ORA_THEME_URI . '/cs-framework-override/images/one-fourth-column.png',
								)
							),

							array(
								'id'      => 'dt-single-product-related-limit',
								'type'    => 'select',
								'title'   => esc_html__('Related Limit', 'ora'),
								'after'   => '<span class="cs-text-desc">&nbsp;'.esc_html__('Select related products limit', 'ora').'</span>',
								'default' => 4,
								'options' => array(
									1 => esc_html__( '1', 'ora' ),
									2 => esc_html__( '2', 'ora' ),
									3 => esc_html__( '3', 'ora' ),
									4 => esc_html__( '4', 'ora' ),
									5 => esc_html__( '5', 'ora' ),
									6 => esc_html__( '6', 'ora' ),
									7 => esc_html__( '7', 'ora' ),
									8 => esc_html__( '8', 'ora' ),
									9 => esc_html__( '9', 'ora' ),
									10 => esc_html__( '10', 'ora' ),
								)
							),

					        array(
					          'id'         => 'dt-woo-single-product-related-style-template',
					          'type'       => 'select',
					          'title'      => esc_html__('Product Style Template', 'ora'),
					          'options'    => $product_style_templates_arr
					        ),

							array(
								'type'    => 'subheading',
								'content' => esc_html__( 'Single Product Page Settings', 'ora' ),
							),

							array(
								'id'    => 'dt-single-product-addtocart-sticky',
								'type'  => 'switcher',
								'title' => esc_html__('Sticky Add to Cart', 'ora'),
							),

							array(
								'id'    => 'dt-single-product-show-360-viewer',
								'type'  => 'switcher',
								'title' => esc_html__('Show Product 360 Viewer', 'ora'),
							),

							array(
								'type'    => 'subheading',
								'content' => esc_html__( 'Sociables Share', 'ora' ),
							),

							array(
								'id'       => 'dt-single-product-show-sharer-facebook',
								'type'     => 'switcher',
								'title'    => esc_html__('Show Facebook Sharer', 'ora'),
								'default'  => true
							),

							array(
								'id'    => 'dt-single-product-show-sharer-delicious',
								'type'  => 'switcher',
								'title' => esc_html__('Show Delicious Sharer', 'ora'),
							),

							array(
								'id'    => 'dt-single-product-show-sharer-digg',
								'type'  => 'switcher',
								'title' => esc_html__('Show Digg Sharer', 'ora'),
							),

							array(
								'id'    => 'dt-single-product-show-sharer-stumbleupon',
								'type'  => 'switcher',
								'title' => esc_html__('Show Stumble Upon Sharer', 'ora'),
							),

							array(
								'id'    => 'dt-single-product-show-sharer-twitter',
								'type'  => 'switcher',
								'title' => esc_html__('Show Twitter Sharer', 'ora'),
								'default'  => true
							),

							array(
								'id'    => 'dt-single-product-show-sharer-googleplus',
								'type'  => 'switcher',
								'title' => esc_html__('Show Google Plus Sharer', 'ora'),
								'default'  => true
							),

							array(
								'id'    => 'dt-single-product-show-sharer-linkedin',
								'type'  => 'switcher',
								'title' => esc_html__('Show Linkedin Sharer', 'ora'),
								'default'  => true
							),

							array(
								'id'    => 'dt-single-product-show-sharer-pinterest',
								'type'  => 'switcher',
								'title' => esc_html__('Show Pinterest Sharer', 'ora'),
								'default'  => true
							),

							array(
								'type'    => 'subheading',
								'content' => esc_html__( 'Sociables Follow', 'ora' ),
							),

						),

						$social_follow_options

					)
				),

			// Size Guide
				array(
					'name'   => 'dt-woo-size-guides',
					'title'  => esc_html__( 'Size Guides', 'ora' ),
					'icon'   => 'fa fa-angle-double-right',
					'fields' => array(
						array(
							'id'              => 'dt-woo-size-guides',
							'type'            => 'group',
							'title'           => esc_html__( 'Size Guides List', 'ora' ),
							'button_title'    => esc_html__('Add New', 'ora'),
							'accordion_title' => esc_html__('Add New Size Guide', 'ora'),
							'fields'          => array(
								array(
									'id'    => 'title',
									'type'  => 'text',
									'title' => esc_html__('Title', 'ora'),
								),
								array(
									'id'    => 'size-guide',
									'type'  => 'upload',
									'title' => esc_html__('Size Guide', 'ora'),
								)
							)
						)
					)
				),

			// Product Style Templates
				array(
					'name'   => 'dt-woo-product-style-templates-holder',
					'title'  => esc_html__( 'Product Style Templates', 'ora' ),
					'icon'   => 'fa fa-angle-double-right',
					'fields' => array(
						array(
							'id'              => 'dt-woo-product-style-templates',
							'type'            => 'group',
							'title'           => esc_html__( 'Product Style Templates', 'ora' ),
							'button_title'    => esc_html__('Add New', 'ora'),
							'accordion_title' => esc_html__('Add New Template', 'ora'),
							'fields'          => array(

								array(
									'id'    => 'template-title',
									'type'  => 'text',
									'title' => esc_html__('Template Title', 'ora'),
								),
								array(
									'id'         => 'product-style',
									'type'       => 'select',
									'title'      => esc_html__('Product Style', 'ora'),
									'options'    => array(
														'product-style-default'              => esc_html__('Default', 'ora'),
														'product-style-cornered'             => esc_html__('Cornered', 'ora'),
														'product-style-title-eg-highlighter' => esc_html__('Title & Element Group Highlighter', 'ora'),
														'product-style-content-highlighter'  => esc_html__('Content Highlighter', 'ora'),
														'product-style-egrp-overlap-pc'      => esc_html__('Element Group Overlap Product Content', 'ora'),
														'product-style-egrp-reveal-pc'       => esc_html__('Element Group Reveal Product Content', 'ora'),
														'product-style-igrp-over-pc'         => esc_html__('Icon Group over Product Content', 'ora'),
														'product-style-egrp-over-pc'         => esc_html__('Element Group over Product Content', 'ora')
													),
									'default'    => 'product-style-default'
								),

							// "Product Style" Hover Options

								array(
									'type'    => 'notice',
									'class'   => 'info',
									'content' => esc_html__('"Product Style" Hover Options.', 'ora')
								),

								array(
									'id'         => 'product-hover-styles',
									'type'       => 'select',
									'title'      => esc_html__('Hover Styles', 'ora'),
									'options'    => array(
														''                                        => esc_html__('None', 'ora'),
														'product-hover-fade-border'               => esc_html__('Fade - Border', 'ora'),
														'product-hover-fade-skinborder'           => esc_html__('Fade - Skin Border', 'ora'),
														'product-hover-fade-gradientborder'       => esc_html__('Fade - Gradient Border', 'ora'),
														'product-hover-fade-shadow'               => esc_html__('Fade - Shadow', 'ora'),
														'product-hover-fade-inshadow'             => esc_html__('Fade - InShadow', 'ora'),
														'product-hover-thumb-fade-border'         => esc_html__('Fade Thumb Border', 'ora'),
														'product-hover-thumb-fade-skinborder'     => esc_html__('Fade Thumb SkinBorder', 'ora'),
														'product-hover-thumb-fade-gradientborder' => esc_html__('Fade Thumb Gradient Border', 'ora'),
														'product-hover-thumb-fade-shadow'         => esc_html__('Fade Thumb Shadow', 'ora'),
														'product-hover-thumb-fade-inshadow'       => esc_html__('Fade Thumb InShadow', 'ora')
													),
									'default'    => 'product-hover-fade-border'
								),

								array(
									'id'         => 'product-overlay-bgcolor',
									'type'       => 'color_picker',
									'title'      => esc_html__('Overlay Background Color', 'ora')
								),

								array(
									'id'         => 'product-overlay-dark-bgcolor',
									'type'       => 'switcher',
									'title'      => esc_html__('Overlay Dark Background', 'ora'),
								),

								array(
									'id'         => 'product-overlay-effects',
									'type'       => 'select',
									'title'      => esc_html__('Overlay Effects', 'ora'),
									'options'    => array(
														''                                    => esc_html__('None', 'ora'),
														'product-overlay-fixed'               => esc_html__('Fixed', 'ora'),
														'product-overlay-toptobottom'         => esc_html__('Top to Bottom', 'ora'),
														'product-overlay-bottomtotop'         => esc_html__('Bottom to Top', 'ora'),
														'product-overlay-righttoleft'         => esc_html__('Right to Left', 'ora'),
														'product-overlay-lefttoright'         => esc_html__('Left to Right', 'ora'),
														'product-overlay-middle'              => esc_html__('Middle', 'ora'),
														'product-overlay-middleradial'        => esc_html__('Middle Radial', 'ora'),
														'product-overlay-gradienttoptobottom' => esc_html__('Gradient - Top to Bottom', 'ora'),
														'product-overlay-gradientbottomtotop' => esc_html__('Gradient - Bottom to Top', 'ora'),
														'product-overlay-gradientrighttoleft' => esc_html__('Gradient - Right to Left', 'ora'),
														'product-overlay-gradientlefttoright' => esc_html__('Gradient - Left to Right', 'ora'),
														'product-overlay-gradientradial'      => esc_html__('Gradient - Radial', 'ora'),
														'product-overlay-flash'               => esc_html__('Flash', 'ora'),
														'product-overlay-scale'               => esc_html__('Scale', 'ora'),
														'product-overlay-horizontalelastic'   => esc_html__('Horizontal - Elastic', 'ora'),
														'product-overlay-verticalelastic'     => esc_html__('Vertical - Elastic', 'ora')
													),
									'default'    => ''
								),

								array(
									'id'         => 'product-hover-image-effects',
									'type'       => 'select',
									'title'      => esc_html__('Hover Image Effects', 'ora'),
									'options'    => array(
														''                                => esc_html__('None', 'ora'),
														'product-hover-image-blur'        => esc_html__('Blur', 'ora'),
														'product-hover-image-blackwhite'  => esc_html__('Black & White', 'ora'),
														'product-hover-image-fadeinleft'  => esc_html__('Fade In Left', 'ora'),
														'product-hover-image-fadeinright' => esc_html__('Fade In Right', 'ora'),
														'product-hover-image-rotate'      => esc_html__('Rotate', 'ora'),
														'product-hover-image-rotatealt'   => esc_html__('Rotate - Alt', 'ora'),
														'product-hover-image-scalein'     => esc_html__('Scale In', 'ora'),
														'product-hover-image-scaleout'    => esc_html__('Scale Out', 'ora'),
														'product-hover-image-floatout'    => esc_html__('Float Up', 'ora')
													),
									'default'    => ''
								),

								array(
									'id'         => 'product-hover-secondary-image-effects',
									'type'       => 'select',
									'title'      => esc_html__('Hover Secondary Image Effects', 'ora'),
									'options'    => array(
														'product-hover-secimage-fade'              => esc_html__('Fade', 'ora'),
														'product-hover-secimage-zoomin'            => esc_html__('Zoom In', 'ora'),
														'product-hover-secimage-zoomout'           => esc_html__('Zoom Out', 'ora'),
														'product-hover-secimage-zoomoutup'         => esc_html__('Zoom Out Up', 'ora'),
														'product-hover-secimage-zoomoutdown'       => esc_html__('Zoom Out Down', 'ora'),
														'product-hover-secimage-zoomoutleft'       => esc_html__('Zoom Out Left', 'ora'),
														'product-hover-secimage-zoomoutright'      => esc_html__('Zoom Out Right', 'ora'),
														'product-hover-secimage-pushup'            => esc_html__('Push Up', 'ora'),
														'product-hover-secimage-pushdown'          => esc_html__('Push Down', 'ora'),
														'product-hover-secimage-pushleft'          => esc_html__('Push Left', 'ora'),
														'product-hover-secimage-pushright'         => esc_html__('Push Right', 'ora'),
														'product-hover-secimage-slideup'           => esc_html__('Slide Up', 'ora'),
														'product-hover-secimage-slidedown'         => esc_html__('Slide Down', 'ora'),
														'product-hover-secimage-slideleft'         => esc_html__('Slide Left', 'ora'),
														'product-hover-secimage-slideright'        => esc_html__('Slide Right', 'ora'),
														'product-hover-secimage-hingeup'           => esc_html__('Hinge Up', 'ora'),
														'product-hover-secimage-hingedown'         => esc_html__('Hinge Down', 'ora'),
														'product-hover-secimage-hingeleft'         => esc_html__('Hinge Left', 'ora'),
														'product-hover-secimage-hingeright'        => esc_html__('Hinge Right', 'ora'),
														'product-hover-secimage-foldup'            => esc_html__('Fold Up', 'ora'),
														'product-hover-secimage-folddown'          => esc_html__('Fold Down', 'ora'),
														'product-hover-secimage-foldleft'          => esc_html__('Fold Left', 'ora'),
														'product-hover-secimage-foldright'         => esc_html__('Fold Right', 'ora'),
														'product-hover-secimage-fliphoriz'         => esc_html__('Flip Horizontal', 'ora'),
														'product-hover-secimage-flipvert'          => esc_html__('Flip Vertical', 'ora')
													),
									'default'    => 'product-hover-secimage-fade'
								),

								array(
									'id'         => 'product-content-hover-effects',
									'type'       => 'select',
									'title'      => esc_html__('Content Hover Effects', 'ora'),
									'options'    => array(
														''                                   => esc_html__('None', 'ora'),
														'product-content-hover-fade'         => esc_html__('Fade', 'ora'),
														'product-content-hover-zoom'         => esc_html__('Zoom', 'ora'),
														'product-content-hover-slidedefault' => esc_html__('Slide Default', 'ora'),
														'product-content-hover-slideleft'    => esc_html__('Slide From Left', 'ora'),
														'product-content-hover-slideright'   => esc_html__('Slide From Right', 'ora'),
														'product-content-hover-slidetop'     => esc_html__('Slide From Top', 'ora'),
														'product-content-hover-slidebottom'  => esc_html__('Slide From Bottom', 'ora')
													),
									'default'    => ''
								),

								array(
									'id'         => 'product-icongroup-hover-effects',
									'type'       => 'select',
									'title'      => esc_html__('Icon Group Hover Effects', 'ora'),
									'options'    => array(
														''                               => esc_html__('None', 'ora'),
														'product-icongroup-hover-flipx'  => esc_html__('Flip X', 'ora'),
														'product-icongroup-hover-flipy'  => esc_html__('Flip Y', 'ora'),
														'product-icongroup-hover-bounce' => esc_html__('Bounce', 'ora')
													),
									'default'    => ''
								),

							// "Product Style" Common Options

								array(
									'type'    => 'notice',
									'class'   => 'info',
									'content' => esc_html__('"Product Style" Common Options.', 'ora')
								),
								array(
									'id'         => 'product-borderorshadow',
									'type'       => 'select',
									'title'      => esc_html__('Border or Shadow', 'ora'),
									'options'    => array(
														''                              => esc_html__('None', 'ora'),
														'product-borderorshadow-border' => esc_html__('Border', 'ora'),
														'product-borderorshadow-shadow' => esc_html__('Shadow', 'ora')
													),
									'default'    => '',
									'desc'      => esc_html__('Choose either Border or Shadow for your product listing.', 'ora')
								),
								array(
									'id'         => 'product-border-type',
									'type'       => 'select',
									'title'      => esc_html__('Border - Type', 'ora'),
									'options'    => array(
														'product-border-type-default' => esc_html__('Default', 'ora'),
														'product-border-type-thumb'   => esc_html__('Thumb', 'ora')
													),
									'default'    => 'product-border-type-default',
								),
								array(
									'id'         => 'product-border-position',
									'type'       => 'select',
									'title'      => esc_html__('Border - Position', 'ora'),
									'options'    => array(
														'product-border-position-default'      => esc_html__('Default', 'ora'),
														'product-border-position-left'         => esc_html__('Left', 'ora'),
														'product-border-position-right'        => esc_html__('Right', 'ora'),
														'product-border-position-top'          => esc_html__('Top', 'ora'),
														'product-border-position-bottom'       => esc_html__('Bottom', 'ora'),
														'product-border-position-top-left'     => esc_html__('Top Left', 'ora'),
														'product-border-position-top-right'    => esc_html__('Top Right', 'ora'),
														'product-border-position-bottom-left'  => esc_html__('Bottom Left', 'ora'),
														'product-border-position-bottom-right' => esc_html__('Bottom Right', 'ora')
													),
									'default'    => 'product-border-position-default',
								),
								array(
									'id'         => 'product-shadow-type',
									'type'       => 'select',
									'title'      => esc_html__('Shadow - Type', 'ora'),
									'options'    => array(
														'product-shadow-type-default' => esc_html__('Default', 'ora'),
														'product-shadow-type-thumb'   => esc_html__('Thumb', 'ora')
													),
									'default'    => 'product-shadow-type-default',
								),
								array(
									'id'         => 'product-shadow-position',
									'type'       => 'select',
									'title'      => esc_html__('Shadow - Position', 'ora'),
									'options'    => array(
														'product-shadow-position-default'      => esc_html__('Default', 'ora'),
														'product-shadow-position-top-left'     => esc_html__('Top Left', 'ora'),
														'product-shadow-position-top-right'    => esc_html__('Top Right', 'ora'),
														'product-shadow-position-bottom-left'  => esc_html__('Bottom Left', 'ora'),
														'product-shadow-position-bottom-right' => esc_html__('Bottom Right', 'ora')
													),
									'default'    => 'product-shadow-position-default',
								),

								array(
									'id'         => 'product-bordershadow-highlight',
									'type'       => 'select',
									'title'      => esc_html__('Border / Shadow - Highlight', 'ora'),
									'options'    => array(
														''                                       => esc_html__('None', 'ora'),
														'product-bordershadow-highlight-default' => esc_html__('Default', 'ora'),
														'product-bordershadow-highlight-onhover' => esc_html__('On Hover', 'ora')
													),
									'default'    => '',
								),

								array(
									'id'         => 'product-background-bgcolor',
									'type'       => 'color_picker',
									'title'      => esc_html__('Background - Background Color', 'ora')
								),

								array(
									'id'         => 'product-background-dark-bgcolor',
									'type'       => 'switcher',
									'title'      => esc_html__('Background - Dark Background', 'ora')
								),

								array(
									'id'         => 'product-padding',
									'type'       => 'select',
									'title'      => esc_html__('Padding', 'ora'),
									'options'    => array(
														'product-padding-default' => esc_html__('Default', 'ora'),
														'product-padding-overall' => esc_html__('Product', 'ora'),
														'product-padding-thumb'   => esc_html__('Thumb', 'ora'),
														'product-padding-content' => esc_html__('Content', 'ora'),
													),
									'default'    => 'product-padding-default'
								),
								array(
									'id'         => 'product-space',
									'type'       => 'select',
									'title'      => esc_html__('Space', 'ora'),
									'options'    => array(
														'product-without-space' => esc_html__('False', 'ora'),
														'product-with-space'  => esc_html__('True', 'ora')
													),
									'default'    => 'product-with-space'
								),
								array(
									'id'         => 'product-display-type',
									'type'       => 'select',
									'title'      => esc_html__('Display Type', 'ora'),
									'options'    => array(
														'grid' => esc_html__('Grid', 'ora'),
														'list'  => esc_html__('List', 'ora')
													),
									'default'    => 'grid'
								),
								array(
									'id'         => 'product-display-type-list-options',
									'type'       => 'select',
									'title'      => esc_html__('List Options', 'ora'),
									'options'    => array(
														'left-thumb'  => esc_html__('Left Thumb', 'ora'),
														'right-thumb' => esc_html__('Right Thumb', 'ora')
													),
									'default'    => 'left-thumb'
								),
								array(
									'id'         => 'product-show-labels',
									'type'       => 'select',
									'title'      => esc_html__('Show Product Labels', 'ora'),
									'options'    => array(
														'true'  => esc_html__('True', 'ora'),
														'false' => esc_html__('False', 'ora')
													),
									'default'    => 'true'
								),
								array(
									'id'         => 'product-label-design',
									'type'       => 'select',
									'title'      => esc_html__('Product Label Design', 'ora'),
									'options'    => array(
														'product-label-boxed'      => esc_html__('Boxed', 'ora'),
														'product-label-circle'  => esc_html__('Circle', 'ora'),
														'product-label-rounded'   => esc_html__('Rounded', 'ora'),
														'product-label-angular'   => esc_html__('Angular', 'ora'),
														'product-label-ribbon'   => esc_html__('Ribbon', 'ora'),
													),
									'default'    => 'product-label-boxed',
								),

								array(
									'id'         => 'product-custom-class',
									'type'       => 'text',
									'title'      => esc_html__('Custom Class', 'ora')
								),

							// "Product Style - Thumb" Options

								array(
									'type'    => 'notice',
									'class'   => 'info',
									'content' => esc_html__('"Product Style - Thumb" Options.', 'ora')
								),

								array(
									'id'         => 'product-thumb-secondary-image-onhover',
									'type'       => 'switcher',
									'title'      => esc_html__('Show Secondary Image On Hover', 'ora'),
									'desc'	 => esc_html__('YES! to show secondary image on product hover. First image in the gallery will be used as secondary image.', 'ora')
								),

								array(
									'id'             => 'product-thumb-content',
									'type'           => 'sorter',
									'title'          => esc_html__('Content', 'ora'),
									'default'        => array(
										'enabled'      => array(
											'title'          => esc_html__('Title', 'ora'),
											'category'       => esc_html__('Category', 'ora'),
											'price'          => esc_html__('Price', 'ora'),
											'button_element' => esc_html__('Button Element', 'ora'),
											'icons_group'    => esc_html__('Icons Group', 'ora'),
										),
										'disabled'     => array(
											'excerpt'       => esc_html__('Excerpt', 'ora'),
											'rating'        => esc_html__('Rating', 'ora'),
											'countdown'     => esc_html__('Count Down', 'ora'),
											'separator'     => esc_html__('Separator', 'ora'),
											'element_group' => esc_html__('Element Group', 'ora'),
											'swatches'      => esc_html__('Swatches', 'ora'),
										),
									),
									'enabled_title'  => esc_html__('Active Elements', 'ora'),
									'disabled_title' => esc_html__('Deatcive Elements', 'ora'),
								),

								array(
									'id'         => 'product-thumb-alignment',
									'type'       => 'select',
									'title'      => esc_html__('Alignment', 'ora'),
									'options'    => array(
														'product-thumb-alignment-top'          => esc_html__('Top', 'ora'),
														'product-thumb-alignment-top-left'     => esc_html__('Top Left', 'ora'),
														'product-thumb-alignment-top-right'    => esc_html__('Top Right', 'ora'),
														'product-thumb-alignment-middle'       => esc_html__('Middle', 'ora'),
														'product-thumb-alignment-bottom'       => esc_html__('Bottom', 'ora'),
														'product-thumb-alignment-bottom-left'  => esc_html__('Bottom Left', 'ora'),
														'product-thumb-alignment-bottom-right' => esc_html__('Bottom Right', 'ora')
													),
									'default'    => 'product-thumb-alignment-top'
								),

								array(
									'id'         => 'product-thumb-iconsgroup-icons',
									'type'       => 'select',
									'title'      => esc_html__('Icons Group - Icons', 'ora'),
									'options'    => array(
														'cart'      => esc_html__('Cart', 'ora'),
														'wishlist'  => esc_html__('Wishlist', 'ora'),
														'compare'   => esc_html__('Compare', 'ora'),
														'quickview' => esc_html__('Quick View', 'ora')
													),
									'class'         => 'chosen',
									'attributes'    => array(
										'multiple'    => 'multiple',
									),
								),

								array(
									'id'         => 'product-thumb-iconsgroup-style',
									'type'       => 'select',
									'title'      => esc_html__('Icons Group - Style', 'ora'),
									'options'    => array(
														'product-thumb-iconsgroup-style-simple'  => esc_html__('Simple', 'ora'),
														'product-thumb-iconsgroup-style-bgfill-square'  => esc_html__('Background Fill Square', 'ora'),
														'product-thumb-iconsgroup-style-bgfill-rounded-square' => esc_html__('Background Fill Rounded Square', 'ora'),
														'product-thumb-iconsgroup-style-bgfill-rounded'  => esc_html__('Background Fill Rounded', 'ora'),
														'product-thumb-iconsgroup-style-brdrfill-square'  => esc_html__('Border Fill Square', 'ora'),
														'product-thumb-iconsgroup-style-brdrfill-rounded-square' => esc_html__('Border Fill Rounded Square', 'ora'),
														'product-thumb-iconsgroup-style-brdrfill-rounded'  => esc_html__('Border Fill Rounded', 'ora'),
														'product-thumb-iconsgroup-style-skinbgfill-square'  => esc_html__('Skin Background Fill Square', 'ora'),
														'product-thumb-iconsgroup-style-skinbgfill-rounded-square' => esc_html__('Skin Background Fill Rounded Square', 'ora'),
														'product-thumb-iconsgroup-style-skinbgfill-rounded'  => esc_html__('Skin Background Fill Rounded', 'ora'),
														'product-thumb-iconsgroup-style-skinbrdrfill-square'  => esc_html__('Skin Border Fill Square', 'ora'),
														'product-thumb-iconsgroup-style-skinbrdrfill-rounded-square' => esc_html__('Skin Border Fill Rounded Square', 'ora'),
														'product-thumb-iconsgroup-style-skinbrdrfill-rounded'  => esc_html__('Skin Border Fill Rounded', 'ora')
													),
									'default'    => 'product-thumb-iconsgroup-style-simple'
								),

								array(
									'id'         => 'product-thumb-iconsgroup-position',
									'type'       => 'select',
									'title'      => esc_html__('Icons Group - Position', 'ora'),
									'options'    => array(

													''                                                                              => esc_html__('Default', 'ora'),

													'product-thumb-iconsgroup-position-horizontal horizontal-position-top'          => esc_html__('Horizontal Top', 'ora'),
													'product-thumb-iconsgroup-position-horizontal horizontal-position-top-left'     => esc_html__('Horizontal Top Left', 'ora'),
													'product-thumb-iconsgroup-position-horizontal horizontal-position-top-right'    => esc_html__('Horizontal Top Right', 'ora'),
													'product-thumb-iconsgroup-position-horizontal horizontal-position-middle'       => esc_html__('Horizontal Middle', 'ora'),
													'product-thumb-iconsgroup-position-horizontal horizontal-position-bottom'       => esc_html__('Horizontal Bottom', 'ora'),
													'product-thumb-iconsgroup-position-horizontal horizontal-position-bottom-left'  => esc_html__('Horizontal Bottom Left', 'ora'),
													'product-thumb-iconsgroup-position-horizontal horizontal-position-bottom-right' => esc_html__('Horizontal Bottom Right', 'ora'),

													'product-thumb-iconsgroup-position-vertical vertical-position-top-left'         => esc_html__('Vertical Top Left', 'ora'),
													'product-thumb-iconsgroup-position-vertical vertical-position-top-right'        => esc_html__('Vertical Top Right', 'ora'),
													'product-thumb-iconsgroup-position-vertical vertical-position-middle-left'      => esc_html__('Vertical Middle Left', 'ora'),
													'product-thumb-iconsgroup-position-vertical vertical-position-middle-right'     => esc_html__('Vertical Middle Right', 'ora'),
													'product-thumb-iconsgroup-position-vertical vertical-position-bottom-left'      => esc_html__('Vertical Bottom Left', 'ora'),
													'product-thumb-iconsgroup-position-vertical vertical-position-bottom-right'     => esc_html__('Vertical Bottom Right', 'ora')

												),
									'default'    => ''
								),

								array(
									'id'         => 'product-thumb-buttonelement-button',
									'type'       => 'select',
									'title'      => esc_html__('Button Element - Button', 'ora'),
									'options'    => array(
														''          => esc_html__('None', 'ora'),
														'cart'      => esc_html__('Cart', 'ora'),
														'wishlist'  => esc_html__('Wishlist', 'ora'),
														'compare'   => esc_html__('Compare', 'ora'),
														'quickview' => esc_html__('Quick View', 'ora')
													)
								),

								array(
									'id'         => 'product-thumb-buttonelement-secondary-button',
									'type'       => 'select',
									'title'      => esc_html__('Button Element - Secondary Button', 'ora'),
									'options'    => array(
														''          => esc_html__('None', 'ora'),
														'cart'      => esc_html__('Cart', 'ora'),
														'wishlist'  => esc_html__('Wishlist', 'ora'),
														'compare'   => esc_html__('Compare', 'ora'),
														'quickview' => esc_html__('Quick View', 'ora')
													)
								),

								array(
									'id'         => 'product-thumb-buttonelement-style',
									'type'       => 'select',
									'title'      => esc_html__('Button Element - Style', 'ora'),
									'options'    => array(
														'product-thumb-buttonelement-style-simple'  => esc_html__('Simple', 'ora'),
														'product-thumb-buttonelement-style-bgfill-square'  => esc_html__('Background Fill Square', 'ora'),
														'product-thumb-buttonelement-style-bgfill-rounded-square' => esc_html__('Background Fill Rounded Square', 'ora'),
														'product-thumb-buttonelement-style-bgfill-rounded'  => esc_html__('Background Fill Rounded', 'ora'),
														'product-thumb-buttonelement-style-brdrfill-square'  => esc_html__('Border Fill Square', 'ora'),
														'product-thumb-buttonelement-style-brdrfill-rounded-square' => esc_html__('Border Fill Rounded Square', 'ora'),
														'product-thumb-buttonelement-style-brdrfill-rounded'  => esc_html__('Border Fill Rounded', 'ora'),
														'product-thumb-buttonelement-style-skinbgfill-square'  => esc_html__('Skin Background Fill Square', 'ora'),
														'product-thumb-buttonelement-style-skinbgfill-rounded-square' => esc_html__('Skin Background Fill Rounded Square', 'ora'),
														'product-thumb-buttonelement-style-skinbgfill-rounded'  => esc_html__('Skin Background Fill Rounded', 'ora'),
														'product-thumb-buttonelement-style-skinbrdrfill-square'  => esc_html__('Skin Border Fill Square', 'ora'),
														'product-thumb-buttonelement-style-skinbrdrfill-rounded-square' => esc_html__('Skin Border Fill Rounded Square', 'ora'),
														'product-thumb-buttonelement-style-skinbrdrfill-rounded'  => esc_html__('Skin Border Fill Rounded', 'ora')
													),
									'default'    => 'product-thumb-buttonelement-style-simple'
								),

								array(
									'id'         => 'product-thumb-buttonelement-stretch',
									'type'       => 'select',
									'title'      => esc_html__('Button Element - Stretch', 'ora'),
									'options'    => array(
														''                                    => esc_html__('False', 'ora'),
														'product-thumb-buttonelement-stretch' => esc_html__('True', 'ora')
													)
								),

								array(
									'id'             => 'product-thumb-element-group',
									'type'           => 'sorter',
									'title'          => esc_html__('Element Group Content', 'ora'),
									'default'        => array(
										'enabled'      => array(
											'title' => esc_html__('Title', 'ora'),
											'price' => esc_html__('Price', 'ora')
										),
										'disabled'     => array(
											'cart'           => esc_html__('Cart', 'ora'),
											'wishlist'       => esc_html__('Wishlist', 'ora'),
											'compare'        => esc_html__('Compare', 'ora'),
											'quickview'      => esc_html__('Quick View', 'ora'),
											'category'       => esc_html__('Category', 'ora'),
											'button_element' => esc_html__('Button Element', 'ora'),
											'icons_group'    => esc_html__('Icons Group', 'ora'),
											'excerpt'        => esc_html__('Excerpt', 'ora'),
											'rating'         => esc_html__('Rating', 'ora'),
											'separator'      => esc_html__('Separator', 'ora'),
											'swatches'       => esc_html__('Swatches', 'ora')
										),
									),
									'enabled_title'  => esc_html__('Active Elements', 'ora'),
									'disabled_title' => esc_html__('Deatcive Elements', 'ora'),
								),


							// "Product Style - Content" Options

								array(
									'type'    => 'notice',
									'class'   => 'info',
									'content' => esc_html__('"Product Style - Content" Options.', 'ora')
								),

								array(
									'id'         => 'product-content-enable',
									'type'       => 'switcher',
									'title'      => esc_html__('Enable Content Section', 'ora'),
									'desc'	 => esc_html__('YES! to enable content section.', 'ora')
								),

								array(
									'id'             => 'product-content-content',
									'type'           => 'sorter',
									'title'          => esc_html__('Content', 'ora'),
									'default'        => array(
										'enabled'      => array(
											'title'          => esc_html__('Title', 'ora'),
											'category'       => esc_html__('Category', 'ora'),
											'price'          => esc_html__('Price', 'ora'),
											'button_element' => esc_html__('Button Element', 'ora'),
											'icons_group'    => esc_html__('Icons Group', 'ora'),
										),
										'disabled'     => array(
											'excerpt'       => esc_html__('Excerpt', 'ora'),
											'rating'        => esc_html__('Rating', 'ora'),
											'countdown'     => esc_html__('Count Down', 'ora'),
											'separator'     => esc_html__('Separator', 'ora'),
											'element_group' => esc_html__('Element Group', 'ora'),
											'swatches'      => esc_html__('Swatches', 'ora'),
										),
									),
									'enabled_title'  => esc_html__('Active Elements', 'ora'),
									'disabled_title' => esc_html__('Deatcive Elements', 'ora'),
								),

								array(
									'id'         => 'product-content-alignment',
									'type'       => 'select',
									'title'      => esc_html__('Alignment', 'ora'),
									'options'    => array(
														'product-content-alignment-left'   => esc_html__('Left', 'ora'),
														'product-content-alignment-right'  => esc_html__('Right', 'ora'),
														'product-content-alignment-center' => esc_html__('Center', 'ora')
													),
									'default'    => 'product-content-alignment-left'
								),

								array(
									'id'         => 'product-content-iconsgroup-icons',
									'type'       => 'select',
									'title'      => esc_html__('Icons Group - Icons', 'ora'),
									'options'    => array(
														'cart'      => esc_html__('Cart', 'ora'),
														'wishlist'  => esc_html__('Wishlist', 'ora'),
														'compare'   => esc_html__('Compare', 'ora'),
														'quickview' => esc_html__('Quick View', 'ora')
													),
									'class'         => 'chosen',
									'attributes'    => array(
										'multiple'    => 'multiple',
									),
								),

								array(
									'id'         => 'product-content-iconsgroup-style',
									'type'       => 'select',
									'title'      => esc_html__('Icons Group - Style', 'ora'),
									'options'    => array(
														'product-content-iconsgroup-style-simple'  => esc_html__('Simple', 'ora'),
														'product-content-iconsgroup-style-bgfill-square'  => esc_html__('Background Fill Square', 'ora'),
														'product-content-iconsgroup-style-bgfill-rounded-square' => esc_html__('Background Fill Rounded Square', 'ora'),
														'product-content-iconsgroup-style-bgfill-rounded'  => esc_html__('Background Fill Rounded', 'ora'),
														'product-content-iconsgroup-style-brdrfill-square'  => esc_html__('Border Fill Square', 'ora'),
														'product-content-iconsgroup-style-brdrfill-rounded-square' => esc_html__('Border Fill Rounded Square', 'ora'),
														'product-content-iconsgroup-style-brdrfill-rounded'  => esc_html__('Border Fill Rounded', 'ora'),
														'product-content-iconsgroup-style-skinbgfill-square'  => esc_html__('Skin Background Fill Square', 'ora'),
														'product-content-iconsgroup-style-skinbgfill-rounded-square' => esc_html__('Skin Background Fill Rounded Square', 'ora'),
														'product-content-iconsgroup-style-skinbgfill-rounded'  => esc_html__('Skin Background Fill Rounded', 'ora'),
														'product-content-iconsgroup-style-skinbrdrfill-square'  => esc_html__('Skin Border Fill Square', 'ora'),
														'product-content-iconsgroup-style-skinbrdrfill-rounded-square' => esc_html__('Skin Border Fill Rounded Square', 'ora'),
														'product-content-iconsgroup-style-skinbrdrfill-rounded'  => esc_html__('Skin Border Fill Rounded', 'ora')
													),
									'default'    => 'product-content-iconsgroup-style-simple'
								),

								array(
									'id'         => 'product-content-buttonelement-button',
									'type'       => 'select',
									'title'      => esc_html__('Button Element - Button', 'ora'),
									'options'    => array(
														''          => esc_html__('None', 'ora'),
														'cart'      => esc_html__('Cart', 'ora'),
														'wishlist'  => esc_html__('Wishlist', 'ora'),
														'compare'   => esc_html__('Compare', 'ora'),
														'quickview' => esc_html__('Quick View', 'ora')
													)
								),

								array(
									'id'         => 'product-content-buttonelement-secondary-button',
									'type'       => 'select',
									'title'      => esc_html__('Button Element - Secondary Button', 'ora'),
									'options'    => array(
														''          => esc_html__('None', 'ora'),
														'cart'      => esc_html__('Cart', 'ora'),
														'wishlist'  => esc_html__('Wishlist', 'ora'),
														'compare'   => esc_html__('Compare', 'ora'),
														'quickview' => esc_html__('Quick View', 'ora')
													)
								),

								array(
									'id'         => 'product-content-buttonelement-style',
									'type'       => 'select',
									'title'      => esc_html__('Button Element - Style', 'ora'),
									'options'    => array(
														'product-content-buttonelement-style-simple'  => esc_html__('Simple', 'ora'),
														'product-content-buttonelement-style-bgfill-square'  => esc_html__('Background Fill Square', 'ora'),
														'product-content-buttonelement-style-bgfill-rounded-square' => esc_html__('Background Fill Rounded Square', 'ora'),
														'product-content-buttonelement-style-bgfill-rounded'  => esc_html__('Background Fill Rounded', 'ora'),
														'product-content-buttonelement-style-brdrfill-square'  => esc_html__('Border Fill Square', 'ora'),
														'product-content-buttonelement-style-brdrfill-rounded-square' => esc_html__('Border Fill Rounded Square', 'ora'),
														'product-content-buttonelement-style-brdrfill-rounded'  => esc_html__('Border Fill Rounded', 'ora'),
														'product-content-buttonelement-style-skinbgfill-square'  => esc_html__('Skin Background Fill Square', 'ora'),
														'product-content-buttonelement-style-skinbgfill-rounded-square' => esc_html__('Skin Background Fill Rounded Square', 'ora'),
														'product-content-buttonelement-style-skinbgfill-rounded'  => esc_html__('Skin Background Fill Rounded', 'ora'),
														'product-content-buttonelement-style-skinbrdrfill-square'  => esc_html__('Skin Border Fill Square', 'ora'),
														'product-content-buttonelement-style-skinbrdrfill-rounded-square' => esc_html__('Skin Border Fill Rounded Square', 'ora'),
														'product-content-buttonelement-style-skinbrdrfill-rounded'  => esc_html__('Skin Border Fill Rounded', 'ora')
													),
									'default'    => 'product-content-buttonelement-style-simple'
								),

								array(
									'id'         => 'product-content-buttonelement-stretch',
									'type'       => 'select',
									'title'      => esc_html__('Button Element - Stretch', 'ora'),
									'options'    => array(
														''                                    => esc_html__('False', 'ora'),
														'product-content-buttonelement-stretch' => esc_html__('True', 'ora')
													)
								),

								array(
									'id'             => 'product-content-element-group',
									'type'           => 'sorter',
									'title'          => esc_html__('Element Group Content', 'ora'),
									'default'        => array(
										'enabled'      => array(
											'title'          => esc_html__('Title', 'ora'),
											'price'          => esc_html__('Price', 'ora')
										),
										'disabled'     => array(
											'cart'           => esc_html__('Cart', 'ora'),
											'wishlist'       => esc_html__('Wishlist', 'ora'),
											'compare'        => esc_html__('Compare', 'ora'),
											'quickview'      => esc_html__('Quick View', 'ora'),
											'category'       => esc_html__('Category', 'ora'),
											'button_element' => esc_html__('Button Element', 'ora'),
											'icons_group'    => esc_html__('Icons Group', 'ora'),
											'excerpt'        => esc_html__('Excerpt', 'ora'),
											'rating'         => esc_html__('Rating', 'ora'),
											'separator'      => esc_html__('Separator', 'ora'),
											'swatches'       => esc_html__('Swatches', 'ora')
										),
									),
									'enabled_title'  => esc_html__('Active Elements', 'ora'),
									'disabled_title' => esc_html__('Deactive Elements', 'ora')
								),


							),

							'default' => array (
														dt_sc_woo_default_product_settings()
												),

						)
					)
				),

			// Others
				array(
					'name'   => 'dt-woo-other-settings',
					'title'  => esc_html__('Others', 'ora'),
					'icon'   => 'fa fa-angle-double-right',
					'fields' => array(

						array(
							'type'    => 'subheading',
							'content' => esc_html__( 'Other Settings', 'ora' ),
						),

						array(
							'id'    => 'dt-woo-quantity-plusnminus',
							'type'  => 'switcher',
							'title' => esc_html__('Enable Plus / Minus Button - Quantity', 'ora'),
						),

						array(
							'type'    => 'subheading',
							'content' => esc_html__( 'Cart Settings', 'ora' ),
						),

						array(
							'id'         => 'dt-woo-addtocart-custom-action',
							'type'       => 'select',
							'title'      => esc_html__('Add To Cart Custom Action', 'ora'),
							'options'    => array(
												''                    => esc_html__('None', 'ora'),
												'sidebar_widget'      => esc_html__('Sidebar Widget', 'ora'),
												'notification_widget' => esc_html__('Notification Widget', 'ora'),
											),
							'default'    => '',
						),

						array(
							'id'      => 'dt-woo-cross-sell-column',
							'type'    => 'image_select',
							'title'   => esc_html__('Cross Sell Prodcut Column', 'ora'),
							'options' => array(
								2 => ORA_THEME_URI . '/cs-framework-override/images/one-half-column.png',
								3 => ORA_THEME_URI . '/cs-framework-override/images/one-third-column.png',
								4 => ORA_THEME_URI . '/cs-framework-override/images/one-fourth-column.png',
							),
							'default' => 3,
						),

						array(
							'id'  		=> 'dt-cross-sell-title',
							'type'  	=> 'wysiwyg',
							'title' 	=> esc_html__('Cross Sell Title', 'ora'),
							'default'	=> '<h2>You may be interested in&hellip;</h2>'
						),

						array(
							'id'         => 'dt-woo-cross-sell-style-template',
							'type'       => 'select',
							'title'      => esc_html__('Product Style Template', 'ora'),
							'options'    => $product_style_templates_arr
						),

					)
				),
		)
	);
}

CSFramework::instance( $settings, $options );