<?php
function ora_kirki_config() {
	return 'ora_kirki_config';
}

function ora_defaults( $key = '' ) {
	$defaults = array();

	# site identify
	$defaults['use-custom-logo'] = '1';
	$defaults['custom-logo'] = ORA_THEME_URI.'/images/logo.png';
	$defaults['custom-light-logo'] = ORA_THEME_URI.'/images/light-logo.png';
	$defaults['site_icon'] = ORA_THEME_URI.'/images/favicon.ico';
	$defaults['custom-title-color'] = '#ffffff';

	# site layout
	$defaults['site-layout'] = 'wide';

	# site skin
	$defaults['primary-color'] = '#003a6c';
	$defaults['secondary-color'] = '#01abff';
	$defaults['tertiary-color'] = '#08e8f2';
	$defaults['body-bg-color'] = '#ffffff';
	$defaults['body-content-color'] = '#6b6b6b';
	$defaults['body-a-color'] = '#003a6c';
	$defaults['body-a-hover-color'] = '#01abff';

	# site breadcrumb
	$defaults['customize-breadcrumb-title-typo'] = '1';
	$defaults['breadcrumb-title-typo'] = array( 'font-family' => 'Poppins',
		'variant' => '700',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '30px',
		'line-height' => '34px',
		'letter-spacing' => '5px',
		'color' => '#ffffff',
		'text-align' => 'unset',
		'text-transform' => 'uppercase' );
	$defaults['customize-breadcrumb-typo'] = '1';
	$defaults['breadcrumb-typo'] = array( 'font-family' => 'Muli',
		'variant' => 'regular',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '16px',
		'line-height' => '30px',
		'letter-spacing' => '0px',
		'color' => '#ffffff',
		'text-align' => 'unset',
		'text-transform' => 'none' );

	# custom content
	$defaults['customize-custom-content-typo'] = '1';
	$defaults['custom-content-typo'] = array( 'font-family' => 'Muli' );
	$defaults['customize-custom-heading-typo'] = '1';
	$defaults['custom-heading-typo'] = array( 'font-family' => 'Poppins' );

	# site footer
	$defaults['customize-footer-title-typo'] = '1';
	$defaults['footer-title-typo'] = array( 'font-family' => 'Poppins',
		'variant' => '700',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '20px',
		'line-height' => '36px',
		'letter-spacing' => '0',
		'color' => '#000000',
		'text-align' => 'left',
		'text-transform' => 'none' );
	$defaults['customize-footer-content-typo'] = '1';
	$defaults['footer-content-typo'] = array( 'font-family' => 'Muli',
		'variant' => 'regular',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '16px',
		'line-height' => '26px',
		'letter-spacing' => '0',
		'color' => '#6b6b6b',
		'text-align' => 'left',
		'text-transform' => 'none' );

	# site typography
	$defaults['customize-body-h1-typo'] = '1';
	$defaults['h1'] = array(
		'font-family' => 'Poppins',
		'variant' => '600',
		'font-size' => '30px',
		'line-height' => '',
		'letter-spacing' => '0',
		'color' => '#000000',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h2-typo'] = '1';
	$defaults['h2'] = array(
		'font-family' => 'Poppins',
		'variant' => '600',
		'font-size' => '24px',
		'line-height' => '',
		'letter-spacing' => '0',
		'color' => '#000000',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h3-typo'] = '1';
	$defaults['h3'] = array(
		'font-family' => 'Poppins',
		'variant' => '600',
		'font-size' => '20px',
		'line-height' => '',
		'letter-spacing' => '0',
		'color' => '#000000',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h4-typo'] = '1';
	$defaults['h4'] = array(
		'font-family' => 'Poppins',
		'variant' => '600',
		'font-size' => '18px',
		'line-height' => '',
		'letter-spacing' => '0',
		'color' => '#000000',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h5-typo'] = '1';
	$defaults['h5'] = array(
		'font-family' => 'Poppins',
		'variant' => '600',
		'font-size' => '16px',
		'line-height' => '',
		'letter-spacing' => '0',
		'color' => '#000000',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h6-typo'] = '1';
	$defaults['h6'] = array(
		'font-family' => 'Poppins',
		'variant' => '600',
		'font-size' => '14px',
		'line-height' => '',
		'letter-spacing' => '0',
		'color' => '#000000',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-content-typo'] = '1';
	$defaults['body-content-typo'] = array(
		'font-family' => 'Muli',
		'variant' => 'regular',
		'font-size' => '16px',
		'line-height' => '30px',
		'letter-spacing' => '',
		'color' => '#6b6b6b',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['footer-content-a-color'] = '#ffffff';
	$defaults['footer-content-a-hover-color'] = '#01abff';

	if( !empty( $key ) && array_key_exists( $key, $defaults) ) {
		return $defaults[$key];
	}

	return '';
}

function ora_image_positions() {

	$positions = array( "top left" => esc_attr__('Top Left','ora'),
		"top center"    => esc_attr__('Top Center','ora'),
		"top right"     => esc_attr__('Top Right','ora'),
		"center left"   => esc_attr__('Center Left','ora'),
		"center center" => esc_attr__('Center Center','ora'),
		"center right"  => esc_attr__('Center Right','ora'),
		"bottom left"   => esc_attr__('Bottom Left','ora'),
		"bottom center" => esc_attr__('Bottom Center','ora'),
		"bottom right"  => esc_attr__('Bottom Right','ora'),
	);

	return $positions;
}

function ora_image_repeats() {

	$image_repeats = array( "repeat" => esc_attr__('Repeat','ora'),
		"repeat-x"  => esc_attr__('Repeat in X-axis','ora'),
		"repeat-y"  => esc_attr__('Repeat in Y-axis','ora'),
		"no-repeat" => esc_attr__('No Repeat','ora')
	);

	return $image_repeats;
}

function ora_border_styles() {

	$image_repeats = array(
		"none"	 => esc_attr__('None','ora'),
		"dotted" => esc_attr__('Dotted','ora'),
		"dashed" => esc_attr__('Dashed','ora'),
		"solid"	 => esc_attr__('Solid','ora'),
		"double" => esc_attr__('Double','ora'),
		"groove" => esc_attr__('Groove','ora'),
		"ridge"	 => esc_attr__('Ridge','ora'),
	);

	return $image_repeats;
}

function ora_animations() {

	$animations = array(
		'' 					 => esc_html__('Default','ora'),	
		"bigEntrance"        =>  esc_attr__("bigEntrance",'ora'),
        "bounce"             =>  esc_attr__("bounce",'ora'),
        "bounceIn"           =>  esc_attr__("bounceIn",'ora'),
        "bounceInDown"       =>  esc_attr__("bounceInDown",'ora'),
        "bounceInLeft"       =>  esc_attr__("bounceInLeft",'ora'),
        "bounceInRight"      =>  esc_attr__("bounceInRight",'ora'),
        "bounceInUp"         =>  esc_attr__("bounceInUp",'ora'),
        "bounceOut"          =>  esc_attr__("bounceOut",'ora'),
        "bounceOutDown"      =>  esc_attr__("bounceOutDown",'ora'),
        "bounceOutLeft"      =>  esc_attr__("bounceOutLeft",'ora'),
        "bounceOutRight"     =>  esc_attr__("bounceOutRight",'ora'),
        "bounceOutUp"        =>  esc_attr__("bounceOutUp",'ora'),
        "expandOpen"         =>  esc_attr__("expandOpen",'ora'),
        "expandUp"           =>  esc_attr__("expandUp",'ora'),
        "fadeIn"             =>  esc_attr__("fadeIn",'ora'),
        "fadeInDown"         =>  esc_attr__("fadeInDown",'ora'),
        "fadeInDownBig"      =>  esc_attr__("fadeInDownBig",'ora'),
        "fadeInLeft"         =>  esc_attr__("fadeInLeft",'ora'),
        "fadeInLeftBig"      =>  esc_attr__("fadeInLeftBig",'ora'),
        "fadeInRight"        =>  esc_attr__("fadeInRight",'ora'),
        "fadeInRightBig"     =>  esc_attr__("fadeInRightBig",'ora'),
        "fadeInUp"           =>  esc_attr__("fadeInUp",'ora'),
        "fadeInUpBig"        =>  esc_attr__("fadeInUpBig",'ora'),
        "fadeOut"            =>  esc_attr__("fadeOut",'ora'),
        "fadeOutDownBig"     =>  esc_attr__("fadeOutDownBig",'ora'),
        "fadeOutLeft"        =>  esc_attr__("fadeOutLeft",'ora'),
        "fadeOutLeftBig"     =>  esc_attr__("fadeOutLeftBig",'ora'),
        "fadeOutRight"       =>  esc_attr__("fadeOutRight",'ora'),
        "fadeOutUp"          =>  esc_attr__("fadeOutUp",'ora'),
        "fadeOutUpBig"       =>  esc_attr__("fadeOutUpBig",'ora'),
        "flash"              =>  esc_attr__("flash",'ora'),
        "flip"               =>  esc_attr__("flip",'ora'),
        "flipInX"            =>  esc_attr__("flipInX",'ora'),
        "flipInY"            =>  esc_attr__("flipInY",'ora'),
        "flipOutX"           =>  esc_attr__("flipOutX",'ora'),
        "flipOutY"           =>  esc_attr__("flipOutY",'ora'),
        "floating"           =>  esc_attr__("floating",'ora'),
        "hatch"              =>  esc_attr__("hatch",'ora'),
        "hinge"              =>  esc_attr__("hinge",'ora'),
        "lightSpeedIn"       =>  esc_attr__("lightSpeedIn",'ora'),
        "lightSpeedOut"      =>  esc_attr__("lightSpeedOut",'ora'),
        "pullDown"           =>  esc_attr__("pullDown",'ora'),
        "pullUp"             =>  esc_attr__("pullUp",'ora'),
        "pulse"              =>  esc_attr__("pulse",'ora'),
        "rollIn"             =>  esc_attr__("rollIn",'ora'),
        "rollOut"            =>  esc_attr__("rollOut",'ora'),
        "rotateIn"           =>  esc_attr__("rotateIn",'ora'),
        "rotateInDownLeft"   =>  esc_attr__("rotateInDownLeft",'ora'),
        "rotateInDownRight"  =>  esc_attr__("rotateInDownRight",'ora'),
        "rotateInUpLeft"     =>  esc_attr__("rotateInUpLeft",'ora'),
        "rotateInUpRight"    =>  esc_attr__("rotateInUpRight",'ora'),
        "rotateOut"          =>  esc_attr__("rotateOut",'ora'),
        "rotateOutDownRight" =>  esc_attr__("rotateOutDownRight",'ora'),
        "rotateOutUpLeft"    =>  esc_attr__("rotateOutUpLeft",'ora'),
        "rotateOutUpRight"   =>  esc_attr__("rotateOutUpRight",'ora'),
        "shake"              =>  esc_attr__("shake",'ora'),
        "slideDown"          =>  esc_attr__("slideDown",'ora'),
        "slideExpandUp"      =>  esc_attr__("slideExpandUp",'ora'),
        "slideLeft"          =>  esc_attr__("slideLeft",'ora'),
        "slideRight"         =>  esc_attr__("slideRight",'ora'),
        "slideUp"            =>  esc_attr__("slideUp",'ora'),
        "stretchLeft"        =>  esc_attr__("stretchLeft",'ora'),
        "stretchRight"       =>  esc_attr__("stretchRight",'ora'),
        "swing"              =>  esc_attr__("swing",'ora'),
        "tada"               =>  esc_attr__("tada",'ora'),
        "tossing"            =>  esc_attr__("tossing",'ora'),
        "wobble"             =>  esc_attr__("wobble",'ora'),
        "fadeOutDown"        =>  esc_attr__("fadeOutDown",'ora'),
        "fadeOutRightBig"    =>  esc_attr__("fadeOutRightBig",'ora'),
        "rotateOutDownLeft"  =>  esc_attr__("rotateOutDownLeft",'ora')
    );

	return $animations;
}

function ora_custom_fonts( $standard_fonts ){

	$custom_fonts = array();

	$fonts = cs_get_option('custom_font_fields');
	if( count( $fonts ) > 0 ):
		foreach( $fonts as $font ):
			$custom_fonts[$font['custom_font_name']] = array(
				'label' => $font['custom_font_name'],
				'variants' => array( '100', '100italic', '200', '200italic', '300', '300italic', 'regular', 'italic', '500', '500italic', '600', '600italic', '700', '700italic', '800', '800italic', '900', '900italic' ),
				'stack' => $font['custom_font_name'] . ', sans-serif'
			);
		endforeach;
	endif;

	return array_merge_recursive( $custom_fonts, $standard_fonts );
}
add_filter( 'kirki/fonts/standard_fonts', 'ora_custom_fonts', 20 );