<?php
/**
 * The template for displaying archive room.
 *
 * This template can be overridden by copying it to yourtheme/wp-hotel-booking/archive-room.php.
 *
 * @author  ThimPress, leehld
 * @package WP-Hotel-Booking/Templates
 * @version 1.6
 */
/**
 * Prevent loading this file directly
 */
defined( 'ABSPATH' ) || exit();

get_header();

$global_breadcrumb = cs_get_option( 'show-breadcrumb' );
$header_class	   = cs_get_option( 'breadcrumb-position' ); ?>

<!-- ** Header Wrapper ** -->
<div id="header-wrapper" class="<?php echo esc_attr($header_class); ?>">

	<!-- **Header** -->
	<header id="header">
		<div class="container"><?php
	        /**
	         * ora_header hook.
	         * 
	         * @hooked ora_vc_header_template - 10
	         *
	         */
	        do_action( 'ora_header' ); ?>
	    </div>
	</header><!-- **Header - End ** -->

	<!-- ** Breadcrumb ** -->
    <?php
        if( !empty( $global_breadcrumb ) ) {

        	$bstyle = ora_cs_get_option( 'breadcrumb-style', 'default' );
        	$style = ora_breadcrumb_css();

            $title = '<h1>'.get_the_archive_title().'</h1>';
            $breadcrumbs[] = esc_html__('Rooms', 'ora');

            ora_breadcrumb_output ( $title, $breadcrumbs, $bstyle, $style );
        }
    ?><!-- ** Breadcrumb End ** -->
</div><!-- ** Header Wrapper - End ** -->

<!-- **Main** -->
<div id="main">
    <!-- ** Container ** -->
    <div class="container"><?php
    	$page_layout  = cs_get_option( 'room-archives-page-layout' );
    	$page_layout  = !empty( $page_layout ) ? $page_layout : "content-full-width";

    	$layout = ora_page_layout( $page_layout );
    	extract( $layout );

    	if ( $show_sidebar ) {
    		if ( $show_left_sidebar ) {?>
    		 	<!-- Secondary Left -->
    			<section id="secondary-left" class="secondary-sidebar <?php echo esc_attr( $sidebar_class );?>"><?php
					$enable = cs_get_option( 'show-standard-left-sidebar-for-room-archives' );
					if( !empty( $enable )):
						if( is_active_sidebar('standard-sidebar-left') ):
							dynamic_sidebar('standard-sidebar-left');
						endif;
					endif;
					/**
					 * hotel_booking_sidebar hook
					 */
					do_action( 'hotel_booking_sidebar' ); ?>
    			</section><!-- Secondary Left End --><?php
    		}
    	}?>

    	<!-- Primary -->
        <section id="primary" class="<?php echo esc_attr( $page_layout );?>">
			<?php
            /**
             * hotel_booking_before_main_content hook
             */
            do_action( 'hotel_booking_before_main_content' ); ?>

            <?php
            /**
             * hotel_booking_archive_description hook
             */
            do_action( 'hotel_booking_archive_description' ); ?>

            <?php if ( have_posts() ) : ?>

                <?php
                /**
                 * hotel_booking_before_room_loop hook
                 */
                do_action( 'hotel_booking_before_room_loop' ); ?>

                <?php hotel_booking_room_loop_start(); ?>

                <?php hotel_booking_room_subcategories(); ?>

                <?php while ( have_posts() ) : the_post(); ?>

                    <?php hb_get_template_part( 'content', 'room' ); ?>

                <?php endwhile; ?>

                <?php hotel_booking_room_loop_end(); ?>

                <?php
                /**
                 * hotel_booking_after_room_loop hook
                 */
                do_action( 'hotel_booking_after_room_loop' ); ?>

            <?php endif; ?>

            <?php
            /**
             * hotel_booking_after_main_content hook
             */
            do_action( 'hotel_booking_after_main_content' ); ?>
        </section><!-- Primary End --><?php

    	if ( $show_sidebar ) {
    		if ( $show_right_sidebar ) {?>
    		 	<!-- Secondary Right -->
    			<section id="secondary-right" class="secondary-sidebar <?php echo esc_attr( $sidebar_class );?>"><?php
					$enable = cs_get_option( 'show-standard-right-sidebar-for-room-archives' );
					if( !empty( $enable )):
						if( is_active_sidebar('standard-sidebar-right') ):
							dynamic_sidebar('standard-sidebar-right');
						endif;
					endif;
					/**
					 * hotel_booking_sidebar hook
					 */
					do_action( 'hotel_booking_sidebar' ); ?>
    			</section><!-- Secondary Right End --><?php
    		}
    	}?>
    </div>
    <!-- ** Container End ** -->
</div><!-- **Main - End ** -->
<?php get_footer(); ?>