<?php
/**
 * The template for displaying content single room.
 *
 * This template can be overridden by copying it to yourtheme/wp-hotel-booking/content-single-room.php.
 *
 * @author  ThimPress, leehld
 * @package WP-Hotel-Booking/Templates
 * @version 1.6
 */

/**
 * Prevent loading this file directly
 */
defined( 'ABSPATH' ) || exit(); ?>

<?php
global $hb_room;

$room_ID = $hb_room->ID;
$rating = $hb_room->average_rating();
$rating = number_format($rating, 1);

/**
 * hotel_booking_before_single_product hook
 */
do_action( 'hotel_booking_before_single_product' );

if ( post_password_required() ) {
	echo get_the_password_form();

	return;
} ?>

<div id="room-<?php the_ID(); ?>" <?php post_class( 'hb_single_room' ); ?>>

	<?php
	/**
	 * hotel_booking_before_loop_room_summary hook
	 */
	do_action( 'hotel_booking_before_single_room' );
	?>

    <div class="summary entry-summary">

		<?php
		/**
		 * hotel_booking_single_room_gallery hook
		 */
		do_action( 'hotel_booking_single_room_gallery' ); ?>
        
        <div class="dt-sc-hb-entry-details">
            <div class="title-wrapper"><?php
                /**
                 * hotel_booking_single_room_title hook
                 */
                do_action( 'hotel_booking_single_room_title' ); ?>
                <span class="title-meta"><?php echo get_the_term_list( $room_ID, 'hb_room_location', '', ', ', '' ); ?></span>
            </div>
            <div class="price-wrapper"><?php
                /**
                 * hotel_booking_loop_room_price hook
                 */
                do_action( 'hotel_booking_loop_room_price' );
                if ( $rating ) { ?>
                    <p class="rating"><span class="zmdi zmdi-star-circle"></span><?php echo esc_html($rating).' / 5'; ?></p><?php
                } ?>
            </div>
            <div class="column dt-sc-one-column"><?php
                //Room Meta...
                $room_meta = get_post_meta( $room_ID, '_custom_settings', true );
                $room_meta = is_array ( $room_meta ) ? $room_meta : array ();
    
                if( array_key_exists('room_address', $room_meta) && $room_meta['room_address'] != '' && array_key_exists('room_map', $room_meta) && $room_meta['room_map'] != '' ):
                    echo '<div class="location-wrapper">';
                        echo '<span class="room-address"><i class="zmdi zmdi-pin zmdi-hc-fw"></i><a href="'.$room_meta['room_map'].'" target="_blank">'.$room_meta['room_address'].'</a></span>';
                    echo '</div>';
                elseif( array_key_exists('room_address', $room_meta) && $room_meta['room_address'] != '' ):
                    echo '<div class="location-wrapper">';
                        echo '<span class="room-address"><i class="zmdi zmdi-pin"></i>'.$room_meta['room_address'].'</span>';
                    echo '</div>';
                endif; ?>
                <div class="likes-wrapper"><?php
                    /**
                     * hotel_booking_single_room_likes hook
                     */
                    do_action( 'hotel_booking_single_room_likes' );
        
                    /**
                     * hotel_booking_single_room_social hook
                     */
                    do_action( 'hotel_booking_single_room_social' ); ?>
                </div>
            </div>
		</div><?php
		/**
		 * hotel_booking_single_room_infomation hook
		 */
		do_action( 'hotel_booking_single_room_infomation' );
		?>
    </div>
	<?php
	/**
	 * hotel_booking_after_single_room hook
	 */
	do_action( 'hotel_booking_after_single_room' );
	?>

</div>

<?php
/**
 * hotel_booking_after_single_room hook
 */
do_action( 'hotel_booking_after_single_product' ); ?>