<?php
/**
 * The template for displaying single room details.
 *
 * This template can be overridden by copying it to yourtheme/wp-hotel-booking/single-room/details.php.
 *
 * @author  ThimPress, leehld
 * @package WP-Hotel-Booking/Templates
 * @version 1.6
 */

/**
 * Prevent loading this file directly
 */
defined( 'ABSPATH' ) || exit();

$room = WPHB_Room::instance( get_the_ID() );

ob_start();
the_content();
$content = ob_get_clean();
echo "{$content}";

$tabsInfo   = array();
$tabsInfo[] = array(
	'id'      => 'hb_room_additinal',
	'title'   => esc_html__( 'Additional Information', 'ora' ),
	'content' => $room->addition_information
);
$tabs       = apply_filters( 'hotel_booking_single_room_infomation_tabs', $tabsInfo );
// Remove review from tabs
unset($tabs[1]);

// prepend after li tabs single
do_action( 'hotel_booking_before_single_room_infomation' );
?>

<div class="hb_single_room_details dt-sc-tabs-horizontal-frame-container type8">

    <ul class="hb_single_room_tabs dt-sc-tabs-horizontal-frame scroll_tabs_container">
		<?php foreach ( $tabs as $key => $tab ) { ?>
            <li>
                <a href="#<?php echo esc_attr( $tab['id'] ) ?>">
					<?php do_action( 'hotel_booking_single_room_before_tabs_' . $tab['id'] ); ?>
					<?php printf( '%s', $tab['title'] ) ?>
					<?php do_action( 'hotel_booking_single_room_after_tabs_' . $tab['id'] ); ?>
                </a>
            </li>
		<?php } ?>
    </ul>

	<?php
	// append after li tabs single
	do_action( 'hotel_booking_after_single_room_infomation' ); ?>

    <div class="hb_single_room_tabs_content">

		<?php foreach ( $tabs as $key => $tab ) { ?>
            <div id="<?php echo esc_attr( $tab['id'] ) ?>" class="hb_single_room_tab_details dt-sc-tabs-horizontal-frame-content">

				<?php do_action( 'hotel_booking_single_room_before_tabs_content_' . $tab['id'] ); ?>

				<?php printf( '%s', $tab['content'] ); ?>

				<?php do_action( 'hotel_booking_single_room_after_tabs_content_' . $tab['id'] ); ?>
            </div>
		<?php } ?>
    </div>

</div>
<div class="hb_single_room_reviews">
    <?php do_action( 'hotel_booking_single_room_before_tabs_content_hb_room_reviews' ); ?>
</div>