<?php
/**
 * The template for displaying related room in single room page.
 *
 * This template can be overridden by copying it to yourtheme/wp-hotel-booking/single-room/related-room.php.
 *
 * @author  ThimPress, leehld
 * @package WP-Hotel-Booking/Templates
 * @version 1.6
 */

/**
 * Prevent loading this file directly
 */
defined( 'ABSPATH' ) || exit();

$room    = WPHB_Room::instance( get_the_ID() );
$related = $room->get_related_rooms();

$settings = get_post_meta(get_the_ID(),'_custom_settings',TRUE);
$settings = is_array( $settings ) ?  array_filter( $settings )  : array();

$related_count = 3;
if( array_key_exists( 'layout', $settings ) && $settings['layout'] != 'content-full-width' ){
	$related_count = 2;
}

/**
 * @var $related WP_Query
 */
?>

<?php if ( $related->posts ) { ?>
    <div class="hb_related_other_room has_slider">
        <div class="dt-sc-title with-before-after-shape alignleft">
	        <h3 class="dt-sc-main-heading"><?php esc_html_e( 'Related Rooms', 'ora' ); ?></h3>
        </div>

		<?php if ( count( $related->posts ) > $related_count ) { ?>
            <div class="navigation">
                <div class="prev"><span class="pe-7s-angle-left"></span></div>
                <div class="next"><span class="pe-7s-angle-right"></span></div>
            </div>
		<?php } ?>

		<?php hotel_booking_room_loop_start(); ?>

		<?php while ( $related->have_posts() ) : $related->the_post(); ?>
            <li id="room-<?php the_ID(); ?>" <?php post_class(); ?>><?php
				$room_id = get_the_ID();
				echo do_shortcode('[dt_sc_room_item room_id="'.$room_id.'" type="type1" show_packages="yes" /]'); ?>
            </li>
		<?php endwhile; ?>

		<?php hotel_booking_room_loop_end(); ?>
    </div>
<?php } ?>