<?php
/**
 * The template for displaying single trip review.
 *
 * This template can be overridden by copying it to yourtheme/wp-travel-engine/single-trip/review.php.
 *
 * @package Wp_Travel_Engine
 * @subpackage Wp_Travel_Engine/includes
 * @since 1.0.0
 */
/**
 * Prevent loading this file directly
 */
defined( 'ABSPATH' ) || exit();

$rating   	   = intval( get_comment_meta( $comment->comment_ID, 'stars', true ) );
$author_role   = get_comment_meta( $comment->comment_ID, 'author_role', true );
$comment_title = get_comment_meta( $comment->comment_ID, 'comment_title', true );
?>

<li itemprop="review" itemscope itemtype="http://schema.org/Review" <?php comment_class(); ?>
    id="li-comment-<?php comment_ID() ?>">

    <div id="comment-<?php comment_ID(); ?>" class="comment_container">

		<div class="comment-title-wrapper"><?php
        	if( isset( $comment_title ) ): ?>
				<h5><?php echo esc_html($comment_title); ?></h5><?php
            endif; ?>

			<?php if ( $rating ) { ?>
                <div itemprop="reviewRating" itemscope itemtype="http://schema.org/Rating" class="star-rating"
                     title="<?php echo sprintf( esc_attr__( 'Rated %d out of 5', 'ora' ), $rating ); ?>">
                    <span style="width:<?php echo esc_attr(( $rating / 5 ) * 100); ?>%"></span>
                </div>
			<?php } ?>
        </div>

		<div itemprop="description" class="description"><?php comment_text(); ?></div>

		<div class="comment-author-wrapper">

			<?php echo get_avatar( $comment, apply_filters( 'te_review_gravatar_size', '60' ), '' ); ?>

            <div class="comment-text">
                <?php if ( $comment->comment_approved == '0' ) { ?>
                    <p class="meta"><em><?php esc_html_e( 'Your comment is awaiting approval', 'ora' ); ?></em></p>
                <?php } else { ?>
                    <p class="meta">
                        <strong itemprop="author"><?php comment_author(); ?></strong> | <?php
                        if( isset( $author_role ) ): ?>
                            <span><?php echo esc_html($author_role); ?></span><?php
                        endif; ?>

                        <time itemprop="datePublished"
                              datetime="<?php echo get_comment_date( 'c' ); ?>"><?php echo get_comment_date( get_option('date_format') ); ?></time>
                    </p>
                <?php } ?>
            </div>
        </div>
    </div>
</li>