<?php
class WTE_Show_Trip_Results
{
	function wte_show_result()
	{
		global $post;

		get_header();

		$settings = get_post_meta($post->ID,'_tpl_default_settings',TRUE);
		$settings = is_array( $settings ) ?  array_filter( $settings )  : array();

		$global_breadcrumb = cs_get_option( 'show-breadcrumb' );

		$header_class = '';
		if( !$settings['enable-sub-title'] || !isset( $settings['enable-sub-title'] ) ) {
			if( isset( $settings['show_slider'] ) && $settings['show_slider'] ) {
				if( isset( $settings['slider_type'] ) ) {
					$header_class =  $settings['slider_position'];
				}
			}
		}

		if( !empty( $global_breadcrumb ) ) {
			if( isset( $settings['enable-sub-title'] ) && $settings['enable-sub-title'] ) {
				$header_class = isset( $settings['breadcrumb_position'] ) ? $settings['breadcrumb_position'] : '';
			}
		}?>
		<!-- ** Header Wrapper ** -->
		<div id="header-wrapper" class="<?php echo esc_attr($header_class); ?>">
		
			<!-- **Header** -->
			<header id="header">
		
				<div class="container"><?php
					/**
					 * ora_header hook.
					 * 
					 * @hooked ora_vc_header_template - 10
					 *
					 */
					do_action( 'ora_header' ); ?>
				</div>
			</header><!-- **Header - End ** -->
		
			<!-- ** Slider ** -->
			<?php
				if( !$settings['enable-sub-title'] || !isset( $settings['enable-sub-title'] ) ) {
					if( isset( $settings['show_slider'] ) && $settings['show_slider'] ) {
						if( isset( $settings['slider_type'] ) ) {
							if( $settings['slider_type'] == 'layerslider' && !empty( $settings['layerslider_id'] ) ) {
								echo '<div id="slider">';
								echo '  <div id="dt-sc-layer-slider" class="dt-sc-main-slider">';
								echo    do_shortcode('[layerslider id="'.$settings['layerslider_id'].'"/]');
								echo '  </div>';
								echo '</div>';
							} elseif( $settings['slider_type'] == 'revolutionslider' && !empty( $settings['revolutionslider_id'] ) ) {
								echo '<div id="slider">';
								echo '  <div id="dt-sc-rev-slider" class="dt-sc-main-slider">';
								echo    do_shortcode('[rev_slider '.$settings['revolutionslider_id'].'/]');
								echo '  </div>';
								echo '</div>';
							} elseif( $settings['slider_type'] == 'customslider' && !empty( $settings['customslider_sc'] ) ) {
								echo '<div id="slider">';
								echo '  <div id="dt-sc-custom-slider" class="dt-sc-main-slider">';
								echo    do_shortcode( $settings['customslider_sc'] );
								echo '  </div>';
								echo '</div>';
							}
						}
					}
				}
			?><!-- ** Slider End ** -->
		
			<!-- ** Breadcrumb ** -->
			<?php
				# Global Breadcrumb
				if( !empty( $global_breadcrumb ) ) {
					if( isset( $settings['enable-sub-title'] ) && $settings['enable-sub-title'] ) {
						$breadcrumbs = array();
						$bstyle = ora_cs_get_option( 'breadcrumb-style', 'default' );
		
						if( $post->post_parent ) {
							$parent_id  = $post->post_parent;
							$parents = array();
		
							while( $parent_id ) {
								$page = get_page( $parent_id );
								$parents[] = '<a href="' . get_permalink( $page->ID ) . '">' . get_the_title( $page->ID ) . '</a>';
								$parent_id  = $page->post_parent;
							}
		
							$parents = array_reverse( $parents );
							$breadcrumbs = array_merge_recursive($breadcrumbs, $parents);
						}
		
						$breadcrumbs[] = the_title( '<span class="current">', '</span>', false );
						$style = ora_breadcrumb_css( $settings['breadcrumb_background'] );
		
						ora_breadcrumb_output ( the_title( '<h1>', '</h1>',false ), $breadcrumbs, $bstyle, $style );
					}
				}
			?><!-- ** Breadcrumb End ** -->                
						
		</div><!-- ** Header Wrapper - End ** -->
		
		<!-- **Main** -->
		<div id="main">
		
			<!-- ** Container ** -->
			<div class="container"><?php
				$page_layout  = array_key_exists( "layout", $settings ) ? $settings['layout'] : "content-full-width";
				$layout = ora_page_layout( $page_layout );
				extract( $layout );
		
				if ( $show_sidebar ) {
					if ( $show_left_sidebar ) {
						$sticky_class = ( array_key_exists('enable-sticky-sidebar', $settings) && $settings['enable-sticky-sidebar'] == 'true' ) ? ' sidebar-as-sticky' : '';?>
						
						<!-- Secondary Left -->
						<section id="secondary-left" class="secondary-sidebar <?php echo esc_attr( $sidebar_class.$sticky_class );?>"><?php
							ora_show_sidebar( 'page', $post->ID, 'left' ); ?></section><!-- Secondary Left End --><?php
					}
				}?>
		
				<!-- Primary -->
				<section id="primary" class="<?php echo esc_attr( $page_layout );?>"><?php
					//Travel Engine Results Starts...
					$options = get_option( 'wp_travel_engine_settings', array() );
					$pid = $options['pages']['search'];
					$nonce = wp_create_nonce('search-nonce');
					global $post;
					$wte_doc_tax_post_args = array(
						'post_type' => 'trip', // Your Post type Name that You Registered
						'posts_per_page' => -1,
						'order' => 'ASC',
					);
					$wte_doc_tax_post_qry = new WP_Query($wte_doc_tax_post_args);
					$max_cost = 0; $max_duration = 0;
					if($wte_doc_tax_post_qry->have_posts()) :
						while($wte_doc_tax_post_qry->have_posts()) :
							$wte_doc_tax_post_qry->the_post(); 
							$wp_travel_engine_setting = get_post_meta( $post->ID,'wp_travel_engine_setting',true );
							$cost = isset( $wp_travel_engine_setting['trip_price'] ) ? $wp_travel_engine_setting['trip_price']: '';
							$prev_cost = isset($wp_travel_engine_setting['trip_prev_price']) ? $wp_travel_engine_setting['trip_prev_price']: '';
							if( $cost!='' && isset($wp_travel_engine_setting['sale']) )
							{
								$comp_cost = $prev_cost;
							}
							else{
								$comp_cost = isset($wp_travel_engine_setting['trip_prev_price']) ? $wp_travel_engine_setting['trip_prev_price']: '';
							}
							if( $max_cost < $comp_cost )
							{
								$max_cost = $comp_cost;
							}
							if( isset($wp_travel_engine_setting['trip_duration']) && $wp_travel_engine_setting['trip_duration']!='' )
							{
								if( $max_duration < $wp_travel_engine_setting['trip_duration'] )
								{
									$max_duration = isset($wp_travel_engine_setting['trip_duration']) ? $wp_travel_engine_setting['trip_duration']: 0;
								}
							}
						endwhile;
					endif;
					if( !isset( $_GET['search'] ) )
					{ ?>
						<form method="get" action='<?php echo esc_url(get_permalink($pid));?>' id="wte-advanced-search-form-shortcode">
							<div class='advanced-search-wrapper'>
								<div class="sidebar">
									<h2><?php esc_html_e('FILTER BY','ora'); ?></h2>
								<?php
								// if(isset($_GET['search']) && wp_verify_nonce( $_GET['search-nonce'], 'search-nonce' ) )
								// {			
									$msg = esc_html__('No results found!','ora');
	
									if( !empty( $_GET['cat'] ) ) {
										$cat = $_GET['cat'];
									}
	
									if( !empty( $_GET['budget'] ) ) {
										$budget = $_GET['budget'];
									}
	
									if( !empty( $_GET['activities'] ) ) {
										$activities = $_GET['activities'];
									}
	
									if( !empty( $_GET['destination'] ) ) {
										$destination = $_GET['destination'];
									}
	
									if( !empty( $_GET['duration'] ) ) {
										$duration = $_GET['duration'];
									}
	
									if( !empty( $_GET['cost'] ) ) {
										$cost = $_GET['cost'];
									}
									
									if( !empty( $_GET['trip-date-select'] ) ) {
										$date = $_GET['trip-date-select'];
									}
									$response1 = ''; $response2 = ''; $response3 = '';
									$categories = get_categories('taxonomy=trip_types');
									if( is_array($categories) && sizeof($categories) > 0 )
									{
										$response1 = "<div class='advanced-search-field search-trip-type'><h3>".esc_html__('Trip Types','ora')."</h3><ul>";
									}
									  
									foreach($categories as $category){
										if($category->count > 0){
											
											$response1.= "<li><label><input type='checkbox' name='cat' class='cat' value='".$category->slug."'><span>".$category->name."</span></label><span class='count'>".$category->category_count."</span></li>";
										}
									}
									if( is_array($categories) && sizeof($categories) > 0 )
									{ 
										$response1.= "</ul></div>";
									}
									echo "{$response1}";
	
	
									$categories = get_categories('taxonomy=activities');
									if( is_array($categories) && sizeof($categories) > 0 )
									{
										$response2 = "<div class='advanced-search-field search-activities'><h3>".esc_html__('Activities','ora')."</h3><ul>";
									} 
									foreach($categories as $category){
										if($category->count > 0){
											
											$response2.= "<li><label><input type='checkbox' name='activities' class='input-activities' value='".$category->slug."'><span>".$category->name."</span></label><span class='count'>".$category->category_count."</span></li>";
										}
									}
									if( is_array($categories) && sizeof($categories) > 0 )
									{ 
										$response2.= "</ul></div>";
									}
									echo "{$response2}";
	
									$categories = get_categories('taxonomy=destination');
									if( is_array($categories) && sizeof($categories) > 0 )
									{
										$response3 = "<div class='advanced-search-field search-destination'><h3>".esc_html__('Destinations','ora')."</h3>";
										$response3.= "<ul>";
									}
									  
									foreach($categories as $category){
										if($category->count > 0){ 
											$response3.= "<li><label><input type='checkbox' name='destination' class='input-destination' value='".$category->slug."'><span>".$category->name."</span></label><span class='count'>".$category->category_count."</span></li>";
										}
									}
									if( is_array($categories) && sizeof($categories) > 0 )
									{  
										$response3.= "</ul></div>";
									}
									  
									echo "{$response3}";
	
									$paged = ( get_query_var( 'paged' ) ) ? absint( get_query_var( 'paged' ) ) : 1;
									
									$default_posts_per_page = get_option( 'posts_per_page' );
	
									// Query arguments.
									$args = array(
												'post_type'      				=> 'trip',
												'posts_per_page' 				=> $default_posts_per_page,
												'wpse_search_or_tax_query'      => true,
												'paged' 						=> $paged
											);
	
									$taxquery = array();
									$meta_query = array();
									
									if( !empty( $cat ) && $cat!= -1  ){
										array_push($taxquery,array(
												'taxonomy' => 'trip_types',
												'field'    => 'slug',
												'terms'    => $cat,
												'include_children' => false,
											));
									}
	
									if( !empty($budget) && $budget!= -1 ){
										array_push($taxquery,array(
												'taxonomy' 	=> 'budget',
												'field' 	=> 'slug',
												'terms' 	=> $budget,
												'include_children' => false,
											));
									}
	
									if(!empty($activities) && $activities!= -1 ) {
										array_push($taxquery,array(
												'taxonomy' 	=> 'activities',
												'field' 	=> 'slug',
												'terms' 	=> $activities,
												'include_children' => false,
											));
									}
	
									if(!empty($destination) && $destination!= -1 ) {
										array_push($taxquery,array(
												'taxonomy' 	=> 'destination',
												'field' 	=> 'slug',
												'terms' 	=> $destination,
												'include_children' => false,
											));
									}
	
									echo '<div class="advanced-search-field search-cost"><h3>'.esc_html__('Price','ora').'</h3><div id="cost-slider-range"></div><div class="cost-slider-value"><span class="min-cost" id="min-cost" name="min-cost">0</span><span class="max-cost" id="max-cost" name="max-cost">'.$max_cost.'</span></div></div>';
	
									echo '<div class="advanced-search-field search-duration"><h3>'.esc_html__('Duration','ora').'</h3><div id="duration-slider-range"></div><div class="duration-slider-value"><span id="min-duration" class="min-duration" name="min-duration">0</span><span class="max-duration" id="max-duration" name="max-duration">'.$max_duration.'</span></div></div>';
									do_action('wte_departure_date_dropdown');
	
									?>
								</div>
									<?php
									if(!empty($taxquery)){
										$args['tax_query'] = $taxquery;
									}
	
									$start_cost = 0; $end_cost = $max_cost; $start_dur = 0; $end_dur = $max_duration;
									if( isset( $_GET['min-cost'] ) && $_GET['min-cost']!='' )
									{
										$start_cost = (int) $_GET['min-cost'];
									}
									if( isset( $_GET['max-cost'] ) && $_GET['max-cost']!='' )
									{
										$end_cost 	= (int) $_GET['max-cost'];
									}
									if( isset( $_GET['min-duration'] ) && $_GET['min-duration']!='' )
									{
										$start_dur 	= (int) $_GET['min-duration'];
									}
									if( isset( $_GET['max-duration'] ) && $_GET['max-duration']!='' )
									{
										$end_dur 	= (int) $_GET['max-duration'];
									}
									array_push($meta_query,
										array(
											'key' 		=> apply_filters('wpte_advance_search_price_filter','wp_travel_engine_setting_trip_price'),
											'value' 	=> array($start_cost,$end_cost),
											'compare' 	=> 'BETWEEN',
											'type'		=> 'NUMERIC'
										)
									);
									
									array_push($meta_query,
										array(
											'key' 		=> 'wp_travel_engine_setting_trip_duration',
											'value' 	=> array($start_dur,$end_dur),
											'compare' 	=> 'BETWEEN',
											'type'		=> 'NUMERIC'
										)
									);
	
									if( isset( $_GET['trip-date-select'] ) && $_GET['trip-date-select']!='' ) {
										$date = $_GET['trip-date-select'];
										$arr = array();
										$arr['departure_dates']['sdate'] = $data;
										array_push($meta_query,
											array(
												'key' 		=> 'WTE_Fixed_Starting_Dates_setting',
												'value' 	=> $arr['departure_dates']['sdate'],
												'compare' 	=> 'LIKE',
											)
										);
									}
									$query = new WP_Query($args);
									?>
									<div id="loader" style="display: none">
										<div class="table">
											<div class="table-grid">
												<div class="table-cell">
													<i class="fa fa-spinner fa-spin" aria-hidden="true"></i>
												</div>
											</div>
										</div>
									</div>
									<div class="wte-advanced-search-wrap">
										<?php $msg = ($query->found_posts > 0) ? '<h3 class="foundPosts">' . $query->found_posts. esc_html__(' trip(s) found','ora').'</h3>' : '<h3 class="foundPosts">'.apply_filters( 'no_result_found_message',$msg ).'</h3>';
											  echo "{$msg}";
										?>
										<div class="grid">
											<?php
											global $post;
											while ( $query->have_posts() ) {
												$query->the_post();
												$wp_travel_engine_setting = get_post_meta( $post->ID,'wp_travel_engine_setting',true );
												$wp_travel_engine_setting_option_setting = get_option( 'wp_travel_engine_settings', true );
											?>
											<div class="col">
												<div class="holder">
													<div class="img-holder">
														<a href="<?php echo esc_url( get_the_permalink() );?>" class="trip-post-thumbnail"><?php
														$trip_feat_img_size = apply_filters('wp_travel_engine_archive_trip_feat_img_size','destination-thumb-trip-size');
														$feat_image_url = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), $trip_feat_img_size );
														if(isset($feat_image_url[0]))
														{ ?>
															<img src="<?php echo esc_url( $feat_image_url[0] );?>">
														<?php
														}
														else{ ?>
															<img src="<?php echo esc_url(  WP_TRAVEL_ENGINE_IMG_URL . '/public/css/images/trip-listing-fallback.jpg' );?>">
														<?php } ?>
														</a>
														  <?php
															$code = 'USD';
															if( isset($wp_travel_engine_setting_option_setting['currency_code']) && $wp_travel_engine_setting_option_setting['currency_code']!='')
															{
																$code = esc_attr( $wp_travel_engine_setting_option_setting['currency_code'] );
															}
															$obj = new Wp_Travel_Engine_Functions();
															$currency = $obj->wp_travel_engine_currencies_symbol( $code );
															$cost = isset( $wp_travel_engine_setting['trip_price'] ) ? $wp_travel_engine_setting['trip_price']: '';
															
															$prev_cost = isset( $wp_travel_engine_setting['trip_prev_price'] ) ? $wp_travel_engine_setting['trip_prev_price']: '';
	
															$code = 'USD';
															if( isset( $wp_travel_engine_setting_option_setting['currency_code'] ) && $wp_travel_engine_setting_option_setting['currency_code']!= '' )
															{
																$code = $wp_travel_engine_setting_option_setting['currency_code'];
															} 
															$obj = new Wp_Travel_Engine_Functions();
															$currency = $obj->wp_travel_engine_currencies_symbol( $code );
															$prev_cost = isset($wp_travel_engine_setting['trip_prev_price']) ? $wp_travel_engine_setting['trip_prev_price']: '';
															if( $cost!='' && isset($wp_travel_engine_setting['sale']) )
															{
																$obj = new Wp_Travel_Engine_Functions();
																echo '<span class="price-holder" itemprop="priceRange"><span>'.esc_attr($currency).esc_attr( $obj->wp_travel_engine_price_format($cost) ).'</span></span>';
															}
															else{ 
																if( $prev_cost!='' )
																{
																	$obj = new Wp_Travel_Engine_Functions();
																	echo '<span class="price-holder" itemprop="priceRange"><span>'.esc_attr($currency).esc_attr( $obj->wp_travel_engine_price_format($prev_cost) ).'</span></span>';
																}
															}
															if( class_exists( 'Wp_Travel_Engine_Group_Discount' ) && isset( $wp_travel_engine_setting['group']['discount'] ) && isset( $wp_travel_engine_setting['group']['traveler'] ) && ! empty( $wp_travel_engine_setting['group']['traveler'] ) ){ ?>
																	<span class="group-discount"><span class="tooltip"><?php esc_html_e( 'You have group discount in this trip.', 'ora' ) ?></span><?php esc_html_e( 'Group Discount', 'ora' ) ?></span>
																	<?php
																}
																?>    
													</div>
													<div class="text-holder">
														<?php
														if(class_exists('Wte_Trip_Review_Init'))
														{ ?>
															<div class="star-holder">
																<?php
																	global $post;
																	$comments = get_comments( array(
																		'post_id' => $post->ID,
																		'status' => 'approve',
																	) );
																	if ( !empty( $comments ) ){
																		echo '<div class="review-wrap"><div class="average-rating">';
																		$sum = 0;
																		$i = 0;
																		foreach($comments as $comment) {
																			$rating = get_comment_meta( $comment->comment_ID, 'stars', true );
																			$sum = $sum+$rating;
																			$i++;
																		}
																		$aggregate = $sum/$i;
																		$aggregate = round($aggregate,2);
	
																		echo 
																		'<script>
																			jQuery.noConflict();
																			jQuery(document).ready(function($){
																				$(".agg-rating").rateYo({
																					rating: '.$aggregate.'
																				});
																			});
																		</script>';
																		echo '<div class="agg-rating"></div><div itemprop="aggregateRating" class="aggregate-rating" itemscope="" itemtype="http://schema.org/AggregateRating">
																		<span class="rating-star" itemprop="ratingValue">'.$aggregate.'</span><span itemprop="reviewCount">'.$i.'</span> '. esc_html( _nx( 'review', 'reviews', $i, 'reviews count', 'ora' ) ) .'</div>';
																		echo '</div></div><!-- .review-wrap -->';
																	}
																?>  
															</div>
													<?php } ?>
														<h3 class="title"><a href="<?php echo esc_url( get_the_permalink() );?>"><?php the_title();?></a></h3>
														<?php
														$nonce = wp_create_nonce( 'wp-travel-engine-nonce' );
														?>
														<?php
														if( isset( $wp_travel_engine_setting['trip_duration'] ) && $wp_travel_engine_setting['trip_duration']!='' )
														{ ?>
															<div class="meta-info">
																<span class="time">
																	<i class="fa fa-clock-o"></i>
																	<?php echo esc_attr($wp_travel_engine_setting['trip_duration']); if($wp_travel_engine_setting['trip_duration']>1){ esc_html_e(' days','ora');} else{ esc_html_e(' day','ora'); }
																	?>
																</span>
															</div>
														<?php }
														if( class_exists('WTE_Fixed_Starting_Dates') ){ 
															$starting_dates = get_post_meta( get_the_ID(), 'WTE_Fixed_Starting_Dates_setting' );
															if( isset( $starting_dates['departure_dates'] ) && ! empty( $starting_dates['departure_dates'] ) && isset($starting_dates['departure_dates']['sdate']) ){ ?>
																<div class="next-trip-info">
																	<?php echo '<h3>'.esc_html__( 'Next Departure', 'ora' ).'</h3>'; ?>
																	<ul class="next-departure-list">
																		<?php
																		global $post;
																		$WTE_Fixed_Starting_Dates_setting = get_post_meta( $post->ID, 'WTE_Fixed_Starting_Dates_setting', true);
																		$wp_travel_engine_setting_option_setting = get_option('wp_travel_engine_settings', true);
																		$sortable_settings = get_post_meta( $post->ID, 'list_serialized', true);
																		$wp_travel_engine_setting = get_post_meta( $post->ID,'wp_travel_engine_setting',true );
	
																		if(!is_array($sortable_settings))
																		{
																		  $sortable_settings = json_decode($sortable_settings);
																		}
																		$today = date('Y-n-j',strtotime(date("Y-m-d")))*1000;
																		$i = 0;
																		foreach( $sortable_settings as $content )
																		{
																			$new_date = substr( $WTE_Fixed_Starting_Dates_setting['departure_dates']['sdate'][$content->id], 0, 7 );
																			if( $today <= strtotime($WTE_Fixed_Starting_Dates_setting['departure_dates']['edate'][$content->id])*1000 )
																			{
																				
																				if($i < 2)
																				{
																					if( isset( $WTE_Fixed_Starting_Dates_setting['departure_dates']['seats_available'][$content->id] ) )
																					{
																						$remaining = isset( $WTE_Fixed_Starting_Dates_setting['departure_dates']['seats_available'][$content->id] ) && ! empty( $WTE_Fixed_Starting_Dates_setting['departure_dates']['seats_available'][$content->id] ) ?  $WTE_Fixed_Starting_Dates_setting['departure_dates']['seats_available'][$content->id] . ' ' . esc_html__( 'spaces left', 'ora' ) : esc_html__( 'sold out', 'ora' );
																						echo '<li><span class="left"><i class="fa fa-clock-o"></i>'. date_i18n( get_option( 'date_format' ), strtotime( $WTE_Fixed_Starting_Dates_setting['departure_dates']['sdate'][$content->id] ) ).'</span><span class="right">'. esc_html( $remaining) .'</span></li>';
																					}
																				
																				}
																			$i++;
																			}
																		}
																		?>
																	</ul>
																</div>
															<?php 
															} 
														}
														?>
														<div class="btn-holder">
															<a href="<?php echo esc_url( get_the_permalink() );?>" class="btn-more"><?php esc_html_e('View Detail','ora');?></a>
														</div>
													</div>
												</div>
											</div>
											<?php
											}
											?>
										</div>
									</div>
										<?php
										$obj = new Wte_Advanced_Search_Functions;
										$range = 4;
										$pages = $query->max_num_pages;
										$paged = get_query_var( 'paged' ) ? absint( get_query_var( 'paged' ) ) : 1;
										$showitems = get_option( 'posts_per_page' );
										if(!$pages)
										{
										 $pages = 1;
										}
										 
										if(1 != $pages)
										{
											echo '<nav class="navigation pagination" style="clear:both;" role="navigation"><h2 class="screen-reader-text">Posts navigation</h2><div class="nav-links">';
											if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a href='".get_pagenum_link(1)."'>".esc_html__('First','ora')."</a>";
											if($paged > 1 && $showitems < $pages) echo "<a class='prev page-numbers' href='".get_pagenum_link($paged - 1)."'>".esc_html__('Previous','ora')."</a>";
	
											for ($i=1; $i <= $pages; $i++)
											{
											if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
											{
												$msg = ($paged == $i)? '<span aria-current="page" class="page-numbers current"><span class="meta-nav screen-reader-text"></span>'.$i."</span>":"<a class='page-numbers' href='".get_pagenum_link($i)."' class=\"inactive\">".$i."</a>";
												echo "{$msg}";
											}
											}
	
											if ($paged < $pages && $showitems < $pages) echo "<a class='next page-numbers' href=\"".get_pagenum_link($paged + 1)."\">".esc_html__('Next','ora')."</a>"; 
											if ($paged < $pages-1 && $paged+$range-1 < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($pages)."'>".esc_html__('Last','ora')."</a>";
											echo "</div></nav>\n";
										}
										?> 
								<input type="hidden" name="search-nonce" id="search-nonce" value="<?php echo esc_attr($nonce);?>">
							</div>
						</form>
						<?php
						echo 
					'<script>
					jQuery.noConflict();
					jQuery(document).ready(function($){
					var choices = {};
					$( "#duration-slider-range" ).slider({
						range: true,
						min: 0,
						max: '.$max_duration.',
						values: [ 0 , '.$max_duration.' ],
						slide: function( event, ui ) {
							$("#min-duration").text(ui.values[0]);
							$("#max-duration").text(ui.values[1]);
						},
						stop: function( event, ui ) {
							$( "#duration-slider-range" ).slider( "disable" );
							date = $( ".trip-date-select" ).val();
							maxdur = ui.values[1];
							mindur = ui.values[0];
							$("#min-duration").text(ui.values[0]);
							$("#max-duration").text(ui.values[1]);
							mincost = $("#min-cost").text();
							maxcost = $("#max-cost").text();
							nonce = $("#search-nonce").val();
							$(".advanced-search-field input[type=checkbox]").each(function() {
								if($(this).is(":checked"))
								{
									if (!choices.hasOwnProperty(this.name)) {
										choices[this.name] = [];
									}
									choices[this.name].push(this.value);
								}
							});
	
							jQuery.ajax({
								type : "post",
								url  : WTEAjaxData.ajaxurl,
								data : {action: "wte_show_ajax_result", maxcost : maxcost, date : date, mincost : mincost, maxdur : maxdur, mindur : mindur, result : choices, nonce:nonce},
								beforeSend: function(){
									$("#loader").fadeIn(500);
								},
								success: function(response){
									$(".wte-advanced-search-wrap").remove();
									$(".advanced-search-wrapper .pagination").remove();
									$(".advanced-search-wrapper").append(response);
									$( "#duration-slider-range" ).slider( "enable" );
								},
								complete: function(){
									$("#loader").fadeOut(500);             
								}
							});
						}
					});
	
					$( "#cost-slider-range" ).slider({
						range: true,
						min: 0,
						max: '.$max_cost.',
						values: [ 0, '.$max_cost.' ],
						slide: function( event, ui ) {
							$("#min-cost").text(ui.values[0]);
							$("#max-cost").text(ui.values[1]);
						},
						stop: function( event, ui ) {
							$( "#cost-slider-range" ).slider( "disable" );
							date = $( ".trip-date-select" ).val();
							maxcost = ui.values[1];
							mincost = ui.values[0];
							$("#min-cost").text(ui.values[0]);
							$("#max-cost").text(ui.values[1]);
							maxdur = $("#max-duration").text();
							mindur = $("#min-duration").text();
							nonce = $("#search-nonce").val();
							$(".advanced-search-field input[type=checkbox]").each(function() {
								if($(this).is(":checked"))
								{
									if (!choices.hasOwnProperty(this.name)) {
										choices[this.name] = [];
									}
									choices[this.name].push(this.value);
								}
							});
	
							jQuery.ajax({
								type : "post",
								url : WTEAjaxData.ajaxurl,
								data : {action: "wte_show_ajax_result", maxcost : maxcost, date:date, mincost : mincost, maxdur : maxdur, mindur : mindur, result : choices, nonce:nonce},
								beforeSend: function(){
									$("#loader").fadeIn(500);
								},
								success: function(response){
									$(".wte-advanced-search-wrap").remove();
									$(".advanced-search-wrapper .pagination").remove();
									$(".advanced-search-wrapper").append(response);
									$( "#cost-slider-range" ).slider( "enable" );
								},
								complete: function(){
									$("#loader").fadeOut(500);             
								}
							});
						}
					});
	
					$("body").on("change",".trip-date-select", function(){
						nonce = $("#search-nonce").val();
						date = $(this).val();
						maxdur = $("#max-duration").text();
						mindur = $("#min-duration").text();
						mincost = $("#min-cost").text();
						maxcost = $("#max-cost").text();
						$(".advanced-search-field input[type=checkbox]").each(function() {
							if($(this).is(":checked"))
							{
								if (!choices.hasOwnProperty(this.name)) {
									choices[this.name] = [];
								}
								choices[this.name].push(this.value);
							}
						});
						jQuery.ajax({
							type : "post",
							url : WTEAjaxData.ajaxurl,
							data : {action: "wte_show_ajax_result", date: date, maxcost : maxcost, mincost : mincost, maxdur : maxdur, mindur : mindur, result : choices, nonce:nonce},
							beforeSend: function(){
								$("#loader").fadeIn(500);
							},
							success: function(response){
								$(".wte-advanced-search-wrap").remove();
								$(".advanced-search-wrapper .pagination").remove();
								$(".advanced-search-wrapper").append(response);
							},
							complete: function(){
								$("#loader").fadeOut(500);             
							}
						})
					});
	
					$("body").on("change",".advanced-search-field input[type=checkbox]", function(){
						mincost = $("#min-cost").text();
						maxcost = $("#max-cost").text();
						mindur = $("#min-duration").text();
						maxdur = $("#max-duration").text();
						date = $( ".trip-date-select" ).val();
	
						$(".advanced-search-field input[type=checkbox]").each(function() {
							if($(this).is(":checked"))
							{
								if (!choices.hasOwnProperty(this.name)) {
									choices[this.name] = [];
								}
								var idx = $.inArray(this.value, choices[this.name]);
								if (idx == -1) {
									choices[this.name].push(this.value);
								}
							}
						});
						value = this.value;
						if(!$(this).is(":checked"))
						{
							var idx = choices[this.name].indexOf(value);
							if (idx > -1) {
								choices[this.name].splice(idx, 1);
							}
						}
						nonce = $("#search-nonce").val();
						jQuery.ajax({
							type : "post",
							url : WTEAjaxData.ajaxurl,
							data : {action: "wte_show_ajax_result", date : date, maxcost : maxcost, mincost : mincost, maxdur : maxdur, mindur : mindur, result : choices, nonce:nonce},
							beforeSend: function(){
								$("#loader").fadeIn(500);
							},
							success: function(response){
								$(".wte-advanced-search-wrap").remove();
								$(".advanced-search-wrapper .pagination, .advanced-search-wrapper .foundPosts").remove();
								$(".advanced-search-wrapper").append(response);
							},
							complete: function(){
								$("#loader").fadeOut(500);             
							}
						});    
						});
						$("body").on("click",".load-more-search", function(e){
						e.preventDefault();
						var offset = $(".grid .col").length;
						mincost = $("#min-cost").text();
						maxcost = $("#max-cost").text();
						mindur = $("#min-duration").text();
						maxdur = $("#max-duration").text();
						date = $( ".trip-date-select" ).val();
						$(".advanced-search-field input[type=checkbox]").each(function() {
							if($(this).is(":checked"))
							{
								if (!choices.hasOwnProperty(this.name)) {
									choices[this.name] = [];
								}
								var idx = $.inArray(this.value, choices[this.name]);
								if (idx == -1) {
									choices[this.name].push(this.value);
								}
							}
						});
						value = this.value;
						if(choices.length > 0)
						{
							if(!$(this).is(":checked"))
							{
								var idx = choices[this.name].indexOf(value);
								if (idx > -1) {
									choices[this.name].splice(idx, 1);
								}
							}
						}
						nonce = $("#search-nonce").val();
						var t = $(this).parent();
						var dataid = $(this).parent().attr("data-id");
						var post_page = $(this).attr("data-id");
						post_page = parseInt(post_page);
						jQuery.ajax({
							type : "post",
							url : WTEAjaxData.ajaxurl,
							data : {action: "wte_show_ajax_result_load", maxcost : maxcost, mincost : mincost, maxdur : maxdur, mindur : mindur, result : choices, nonce:nonce, offset:offset, date:date, dataid:dataid},
							beforeSend: function(){
								$("#loader").fadeIn(500);
							},
							success: function(response){
								$(".wte-advanced-search-wrap .grid").append(response);
							},
							complete: function(){
								dataid = parseInt(dataid);
								offset = parseInt(offset);
								offset = offset+post_page;
								if( dataid <= offset )
								{
									t.remove();
								}
								$("#loader").fadeOut(500);             
							}
						}, this);    
					});
					});
					</script>';
					}
				else{ ?>
				<form method="get" action='<?php echo esc_url(get_permalink($pid));?>' id="wte-advanced-search-form-shortcode">
					<div class='advanced-search-wrapper'>
						<div class="sidebar">
							<h2><?php esc_html_e('FILTER BY','ora'); ?></h2>
						<?php
						// if(isset($_GET['search']) && wp_verify_nonce( $_GET['search-nonce'], 'search-nonce' ) )
						// {			
							$msg = esc_html__('No results found!','ora');
							$cat = '';
							if( isset( $_GET['cat'] ) && !empty( $_GET['cat'] ) ) {
								$cat = $_GET['cat'];
							}
							$budget = '';
							if( isset( $_GET['budget'] ) && !empty( $_GET['budget'] ) ) {
								$budget = $_GET['budget'];
							}
	
							if( !empty( $_GET['activities'] ) ) {
								$activities = $_GET['activities'];
							}
	
							if( !empty( $_GET['destination'] ) ) {
								$destination = $_GET['destination'];
							}
	
							$response1 = ''; $response2 = ''; $response3 = '';
	
							$categories = get_categories('taxonomy=trip_types');
							if( is_array($categories) && sizeof($categories) > 0 )
							{
								$response1 = "<div class='advanced-search-field search-trip-type'><h3>".esc_html__('Trip Types','ora')."</h3><ul>";
							}
							foreach($categories as $category){
								if($category->count > 0){
									
									if( $cat == $category->slug ){
											
										$response1.= "<li><label><input type='checkbox' name='cat' class='cat' value='".$category->slug."' checked><span>".$category->name."</span></label><span class='count'>".$category->category_count."</span></li>";
									}
									else{
										$response1.= "<li><label><input type='checkbox' name='cat' class='cat' value='".$category->slug."'><span>".$category->name."</span></label><span class='count'>".$category->category_count."</span></li>";
									}
								}
							}
							if( is_array($categories) && sizeof($categories) > 0 )
							{  
								$response1.= "</ul></div>";
							}
							echo "{$response1}";
	
	
							$categories = get_categories('taxonomy=activities');
							if( is_array($categories) && sizeof($categories) > 0 )
							{
								$response2 = "<div class='advanced-search-field search-activities'><h3>".esc_html__('Activities','ora')."</h3><ul>";
							}
							foreach($categories as $category){
								if($category->count > 0){
									
									if( $activities == $category->slug ){
										$response2.= "<li><label><input type='checkbox' name='activities' class='activities' value='".$category->slug."' checked><span>".$category->name."</span></label><span class='count'>".$category->category_count."</span></li>";
									}
									else{
										$response2.= "<li><label><input type='checkbox' name='activities' class='activities' value='".$category->slug."'><span>".$category->name."</span></label><span class='count'>".$category->category_count."</span></li>";
									}
								}
							}
							if( is_array($categories) && sizeof($categories) > 0 )
							{
								$response2.= "</ul></div>";
							}
							echo "{$response2}";
	
							$categories = get_categories('taxonomy=destination');
							if( is_array($categories) && sizeof($categories) > 0 )
							{
								$response3 = "<div class='advanced-search-field search-destination'><h3>".esc_html__('Destinations','ora')."</h3>";
								$response3.= "<ul>";
							}					  
							foreach($categories as $category){
								if($category->count > 0){ 
									if( $destination == $category->slug ){
										$response3.= "<li><label><input type='checkbox' name='destination' class='destination' value='".$category->slug."' checked><span>".$category->name."</span></label><span class='count'>".$category->category_count."</span></li>";
									}
									else{
										$response3.= "<li><label><input type='checkbox' name='destination' class='destination' value='".$category->slug."'><span>".$category->name."</span></label><span class='count'>".$category->category_count."</span></li>";
									}
								}
							}
							if( is_array($categories) && sizeof($categories) > 0 )
							{ 
								$response3.= "</ul></div>";
							}
							echo "{$response3}";
	
							$paged = ( get_query_var( 'paged' ) ) ? absint( get_query_var( 'paged' ) ) : 1;
							$default_posts_per_page = get_option( 'posts_per_page' );
	
							// Query arguments.
							$args = array(
										'post_type'      				=> 'trip',
										'posts_per_page' 				=> $default_posts_per_page,
										'wpse_search_or_tax_query'      => true,
										'paged' 						=> $paged
									);
							$min_dur = 0; $min_cost = 0;
							if( isset( $_GET['min-cost'] ) && $_GET['min-cost']!='' )
							{
								$min_cost = (int) $_GET['min-cost'];
							}
							if( isset( $_GET['max-cost'] ) && $_GET['max-cost']!='' )
							{
								$maximum_cost 	= (int) $_GET['max-cost'];
							}
							if( isset( $_GET['min-duration'] ) && $_GET['min-duration']!='' )
							{
								$min_dur 	= (int) $_GET['min-duration'];
							}
							if( isset( $_GET['max-duration'] ) && $_GET['max-duration']!='' )
							{
								$maximum_duration 	= (int) $_GET['max-duration'];
							}
	
							echo '<div class="advanced-search-field search-cost"><h3>'.esc_html__('Price','ora').'</h3><div id="cost-slider-range"></div><div class="cost-slider-value"><span id="min-cost" class="min-cost" name="min-cost">'.$min_cost.'</span><span class="max-cost" id="max-cost" name="max-cost">'.$max_cost.'</span></div></div>';
	
							echo '<div class="advanced-search-field search-duration"><h3>'.esc_html__('Duration','ora').'</h3><div id="duration-slider-range"></div><div class="duration-slider-value"><span class="min-duration" id="min-duration" name="min-duration">'.$min_dur.'</span><span id="max-duration" class="max-duration" name="max-duration">'.$max_duration.'</span></div></div>';
							do_action('wte_departure_date_dropdown',$_GET);
							?>
						</div>
							<?php
							$taxquery = array();
							$meta_query = array();
	
							if( !empty( $cat ) && $cat!= -1  ){
								array_push($taxquery,array(
										'taxonomy' => 'trip_types',
										'field'    => 'slug',
										'terms'    => $cat,
										'include_children' => false,
									));
							}
	
							if( !empty($budget) && $budget!= -1 ){
								array_push($taxquery,array(
										'taxonomy' 	=> 'budget',
										'field' 	=> 'slug',
										'terms' 	=> $budget,
										'include_children' => false,
									));
							}
	
							if(!empty($activities) && $activities!= -1 ) {
								array_push($taxquery,array(
										'taxonomy' 	=> 'activities',
										'field' 	=> 'slug',
										'terms' 	=> $activities,
										'include_children' => false,
									));
							}
	
							if(!empty($destination) && $destination!= -1 ) {
								array_push($taxquery,array(
										'taxonomy' 	=> 'destination',
										'field' 	=> 'slug',
										'terms' 	=> $destination,
										'include_children' => false,
									));
							}
							if(!empty($taxquery)){
								$args['tax_query'] = $taxquery;
							}
							$start_cost = 0; $end_cost = $max_cost; $start_dur = 0; $end_dur = $max_duration;
							if( isset( $_GET['min-cost'] ) && $_GET['min-cost']!='' )
							{
								$start_cost = (int) $_GET['min-cost'];
							}
							if( isset( $_GET['max-cost'] ) && $_GET['max-cost']!='' )
							{
								$end_cost 	= (int) $_GET['max-cost'];
							}
							if( isset( $_GET['min-duration'] ) && $_GET['min-duration']!='' )
							{
								$start_dur 	= (int) $_GET['min-duration'];
							}
							if( isset( $_GET['max-duration'] ) && $_GET['max-duration']!='.' )
							{
								$end_dur 	= (int) $_GET['max-duration'];
							}
	
							array_push($meta_query,
								array(
									'key' 		=> apply_filters('wpte_advance_search_price_filter','wp_travel_engine_setting_trip_price'),
									'value' 	=> array($start_cost,$end_cost),
									'compare' 	=> 'BETWEEN',
									'type'		=> 'NUMERIC'
								)
							);
							
							array_push($meta_query,
								array(
									'key' 		=> 'wp_travel_engine_setting_trip_duration',
									'value' 	=> array($start_dur,$end_dur),
									'compare' 	=> 'BETWEEN',
									'type'		=> 'NUMERIC'
								)
							);
							if( isset( $_GET['trip-date-select'] ) && $_GET['trip-date-select']!='' ) {
								$date = $_GET['trip-date-select'];
								$arr = array();
								$arr['departure_dates']['sdate'] = $date;
								array_push($meta_query,
									array(
										'key' 		=> 'WTE_Fixed_Starting_Dates_setting',
										'value' 	=> $arr['departure_dates']['sdate'],
										'compare' 	=> 'LIKE',
									)
								);
							}
	
							if(!empty($meta_query)){
									$args['meta_query'] = $meta_query;
							}
							
							$query = new WP_Query($args);
							?>
							<div id="loader" style="display: none">
								<div class="table">
									<div class="table-grid">
										<div class="table-cell">
											<i class="fa fa-spinner fa-spin" aria-hidden="true"></i>
										</div>
									</div>
								</div>
							</div>
							<div class="wte-advanced-search-wrap">
								<?php $msg = ($query->found_posts > 0) ? '<h3 class="foundPosts">' . $query->found_posts. esc_html__(' trip(s) found','ora').'</h3>' : '<h3 class="foundPosts">'.apply_filters( 'no_result_found_message',$msg ).'</h3>';
									  echo "{$msg}";
								?>
								<div class="grid">
									<?php
									global $post;
									while ( $query->have_posts() ) {
										$query->the_post(); 
										$wp_travel_engine_setting = get_post_meta( $post->ID,'wp_travel_engine_setting',true );
										$wp_travel_engine_setting_option_setting = get_option( 'wp_travel_engine_settings', true );
											?>
																				<div class="col">
												<div class="holder">
													<div class="img-holder">
														<a href="<?php echo esc_url( get_the_permalink() );?>" class="trip-post-thumbnail"><?php
														$trip_feat_img_size = apply_filters('wp_travel_engine_archive_trip_feat_img_size','destination-thumb-trip-size');
														$feat_image_url = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), $trip_feat_img_size );
														if(isset($feat_image_url[0]))
														{ ?>
															<img src="<?php echo esc_url( $feat_image_url[0] );?>">
														<?php
														}
														else{ ?>
															<img src="<?php echo esc_url(  WP_TRAVEL_ENGINE_IMG_URL . '/public/css/images/trip-listing-fallback.jpg' );?>">
														<?php } ?>
														</a>
														  <?php
															$code = 'USD';
															if( isset($wp_travel_engine_setting_option_setting['currency_code']) && $wp_travel_engine_setting_option_setting['currency_code']!='')
															{
																$code = esc_attr( $wp_travel_engine_setting_option_setting['currency_code'] );
															}
															$obj = new Wp_Travel_Engine_Functions();
															$currency = $obj->wp_travel_engine_currencies_symbol( $code );
															$cost = isset( $wp_travel_engine_setting['trip_price'] ) ? $wp_travel_engine_setting['trip_price']: '';
															
															$prev_cost = isset( $wp_travel_engine_setting['trip_prev_price'] ) ? $wp_travel_engine_setting['trip_prev_price']: '';
	
															$code = 'USD';
															if( isset( $wp_travel_engine_setting_option_setting['currency_code'] ) && $wp_travel_engine_setting_option_setting['currency_code']!= '' )
															{
																$code = $wp_travel_engine_setting_option_setting['currency_code'];
															} 
															$obj = new Wp_Travel_Engine_Functions();
															$currency = $obj->wp_travel_engine_currencies_symbol( $code );
															$prev_cost = isset($wp_travel_engine_setting['trip_prev_price']) ? $wp_travel_engine_setting['trip_prev_price']: '';
															if( $cost!='' && isset($wp_travel_engine_setting['sale']) )
															{
																$obj = new Wp_Travel_Engine_Functions();
																echo '<span class="price-holder" itemprop="priceRange"><span>'.esc_attr($currency).esc_attr( $obj->wp_travel_engine_price_format($cost) ).'</span></span>';
															}
															else{ 
																if( $prev_cost!='' )
																{
																	$obj = new Wp_Travel_Engine_Functions();
																	echo '<span class="price-holder" itemprop="priceRange"><span>'.esc_attr($currency).esc_attr( $obj->wp_travel_engine_price_format($prev_cost) ).'</span></span>';
																}
															}
															if( class_exists( 'Wp_Travel_Engine_Group_Discount' ) && isset( $wp_travel_engine_setting['group']['discount'] ) && isset( $wp_travel_engine_setting['group']['traveler'] ) && ! empty( $wp_travel_engine_setting['group']['traveler'] ) ){ ?>
																	<span class="group-discount"><span class="tooltip"><?php esc_html_e( 'You have group discount in this trip.', 'ora' ) ?></span><?php esc_html_e( 'Group Discount', 'ora' ) ?></span>
																	<?php
																}
																?>    
													</div>
													<div class="text-holder">
														<?php
														if(class_exists('Wte_Trip_Review_Init'))
														{ ?>
															<div class="star-holder">
																<?php
																	global $post;
																	$comments = get_comments( array(
																		'post_id' => $post->ID,
																		'status' => 'approve',
																	) );
																	if ( !empty( $comments ) ){
																		echo '<div class="review-wrap"><div class="average-rating">';
																		$sum = 0;
																		$i = 0;
																		foreach($comments as $comment) {
																			$rating = get_comment_meta( $comment->comment_ID, 'stars', true );
																			$sum = $sum+$rating;
																			$i++;
																		}
																		$aggregate = $sum/$i;
																		$aggregate = round($aggregate,2);
	
																		echo 
																		'<script>
																			jQuery(document).ready(function($){
																				$(".agg-rating").rateYo({
																					rating: '.$aggregate.'
																				});
																			});
																		</script>';
																		echo '<div class="agg-rating"></div><div itemprop="aggregateRating" class="aggregate-rating" itemscope="" itemtype="http://schema.org/AggregateRating">
																		<span class="rating-star" itemprop="ratingValue">'.$aggregate.'</span><span itemprop="reviewCount">'.$i.'</span> '. esc_html( _nx( 'review', 'reviews', $i, 'reviews count', 'ora' ) ) .'</div>';
																		echo '</div></div><!-- .review-wrap -->';
																	}
																?>  
															</div>
													<?php } ?>
														<h3 class="title"><a href="<?php echo esc_url( get_the_permalink() );?>"><?php the_title();?></a></h3>
														<?php
														$nonce = wp_create_nonce( 'wp-travel-engine-nonce' );
														?>
														<?php
														if( isset( $wp_travel_engine_setting['trip_duration'] ) && $wp_travel_engine_setting['trip_duration']!='' )
														{ ?>
															<div class="meta-info">
																<span class="time">
																	<i class="fa fa-clock-o"></i>
																	<?php echo esc_attr($wp_travel_engine_setting['trip_duration']); if($wp_travel_engine_setting['trip_duration']>1){ esc_html_e(' days','ora');} else{ esc_html_e(' day','ora'); }
																	?>
																</span>
															</div>
														<?php }
														if( class_exists('WTE_Fixed_Starting_Dates') ){ 
															global $post;
															$WTE_Fixed_Starting_Dates_setting = get_post_meta( $post->ID, 'WTE_Fixed_Starting_Dates_setting', true);
															$wp_travel_engine_setting_option_setting = get_option('wp_travel_engine_settings', true);
															$sortable_settings = get_post_meta( $post->ID, 'list_serialized', true);
															$wp_travel_engine_setting = get_post_meta( $post->ID,'wp_travel_engine_setting',true );
															$starting_dates = get_post_meta( $post->ID, 'WTE_Fixed_Starting_Dates_setting',true );
															if( isset( $starting_dates['departure_dates'] ) && ! empty( $starting_dates['departure_dates'] ) && isset($starting_dates['departure_dates']['sdate']) ){ ?>
																<div class="next-trip-info">
																	<?php echo '<h3>'.esc_html__( 'Next Departure', 'ora' ).'</h3>'; ?>
																	<ul class="next-departure-list">
																		<?php
	
																		if(!is_array($sortable_settings))
																		{
																		  $sortable_settings = json_decode($sortable_settings);
																		}
																		$today = date('Y-n-j',strtotime(date("Y-m-d")))*1000;
																		$i = 0;
																		foreach( $sortable_settings as $content )
																		{
																			$new_date = substr( $WTE_Fixed_Starting_Dates_setting['departure_dates']['sdate'][$content->id], 0, 7 );
																			if( $today <= strtotime($WTE_Fixed_Starting_Dates_setting['departure_dates']['edate'][$content->id])*1000 )
																			{
																				
																				if($i < 2)
																				{
																					if( isset( $WTE_Fixed_Starting_Dates_setting['departure_dates']['seats_available'][$content->id] ) )
																					{
																						$remaining = isset( $WTE_Fixed_Starting_Dates_setting['departure_dates']['seats_available'][$content->id] ) && ! empty( $WTE_Fixed_Starting_Dates_setting['departure_dates']['seats_available'][$content->id] ) ?  $WTE_Fixed_Starting_Dates_setting['departure_dates']['seats_available'][$content->id] . ' ' . esc_html__( 'spaces left', 'ora' ) : esc_html__( 'sold out', 'ora' );
																						echo '<li><span class="left"><i class="fa fa-clock-o"></i>'. date_i18n( get_option( 'date_format' ), strtotime( $WTE_Fixed_Starting_Dates_setting['departure_dates']['sdate'][$content->id] ) ).'</span><span class="right">'. esc_html( $remaining) .'</span></li>';
																					}
																				
																				}
																			$i++;
																			}
																		}
																		?>
																	</ul>
																</div>
															<?php 
															} 
														}
														?>
														<div class="btn-holder">
															<a href="<?php echo esc_url( get_the_permalink() );?>" class="btn-more"><?php esc_html_e('View Detail','ora');?></a>
														</div>
													</div>
												</div>
											</div>
									<?php
									}
									?>
								</div>
							</div>
								<?php
								$obj = new Wte_Advanced_Search_Functions;
								$pages = $query->max_num_pages;
								$range = 4;
								$paged = get_query_var( 'paged' ) ? absint( get_query_var( 'paged' ) ) : 1;
								$showitems = get_option( 'posts_per_page' );
								if(!$pages)
								{
								 $pages = 1;
								}
								 
								if(1 != $pages)
								{
									echo '<nav class="navigation pagination" style="clear:both;" role="navigation"><h2 class="screen-reader-text">Posts navigation</h2><div class="nav-links">';
									if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a href='".get_pagenum_link(1)."'>".esc_html__('First','ora')."</a>";
									if($paged > 1 && $showitems < $pages) echo "<a class='prev page-numbers' href='".get_pagenum_link($paged - 1)."'>".esc_html__('Previous','ora')."</a>";
	
									for ($i=1; $i <= $pages; $i++)
									{
									if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
									{
										$msg = ($paged == $i)? '<span aria-current="page" class="page-numbers current"><span class="meta-nav screen-reader-text"></span>'.$i."</span>":"<a class='page-numbers' href='".get_pagenum_link($i)."' class=\"inactive\">".$i."</a>";
										echo "{$msg}";
									}
									}
	
									if ($paged < $pages && $showitems < $pages) echo "<a class='next page-numbers' href=\"".get_pagenum_link($paged + 1)."\">".esc_html__('Next','ora')."</a>"; 
									if ($paged < $pages-1 && $paged+$range-1 < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($pages)."'>".esc_html__('Last','ora')."</a>";
									echo "</div></nav>\n";
								}
								?>  
						<?php
						// } ?>
						<input type="hidden" name="search-nonce" id="search-nonce" value="<?php echo esc_attr($nonce);?>">
					</div>
				</form>
				<?php
				global $post;
					$wte_doc_tax_post_args = array(
						'post_type' => 'trip', // Your Post type Name that You Registered
						'posts_per_page' => -1,
						'order' => 'ASC',
					);
					$wte_doc_tax_post_qry = new WP_Query($wte_doc_tax_post_args);
					$max_cost = 0; $max_duration = 0;
					if($wte_doc_tax_post_qry->have_posts()) :
						while($wte_doc_tax_post_qry->have_posts()) :
							$wte_doc_tax_post_qry->the_post(); 
							$wp_travel_engine_setting = get_post_meta( $post->ID,'wp_travel_engine_setting',true );
							$cost = isset( $wp_travel_engine_setting['trip_price'] ) ? $wp_travel_engine_setting['trip_price']: '';
							$prev_cost = isset($wp_travel_engine_setting['trip_prev_price']) ? $wp_travel_engine_setting['trip_prev_price']: '';
							if( $cost!='' && isset($wp_travel_engine_setting['sale']) )
							{
								$comp_cost = $prev_cost;
							}
							else{
								$comp_cost = isset($wp_travel_engine_setting['trip_prev_price']) ? $wp_travel_engine_setting['trip_prev_price']: 0;
							}
	
							if( $max_cost < $comp_cost )
							{
								$max_cost = $comp_cost;
							}
							if( isset($wp_travel_engine_setting['trip_duration']) && $wp_travel_engine_setting['trip_duration']!='' )
							{
								if( $max_duration < $wp_travel_engine_setting['trip_duration'] )
								{
									$max_duration = isset($wp_travel_engine_setting['trip_duration']) ? $wp_travel_engine_setting['trip_duration']: 0;
								}
							}
						endwhile;
					endif;
				echo 
					'<script type="text/javascript">
					jQuery(document).ready(function($){
					var choices = {};
					$( "#duration-slider-range" ).slider({
						range: true,
						min: 0,
						max: '.$max_duration.',
						values: [ 0 , '.$max_duration.' ],
						slide: function( event, ui ) {
							$("#min-duration").text(ui.values[0]);
							$("#max-duration").text(ui.values[1]);
						},
						stop: function( event, ui ) {
							$( "#duration-slider-range" ).slider( "disable" );
							date = $( ".trip-date-select" ).val();
							maxdur = ui.values[1];
							mindur = ui.values[0];
							$("#min-duration").text(ui.values[0]);
							$("#max-duration").text(ui.values[1]);
							mincost = $("#min-cost").text();
							maxcost = $("#max-cost").text();
							nonce = $("#search-nonce").val();
							$(".advanced-search-field input[type=checkbox]").each(function() {
								if($(this).is(":checked"))
								{
									if (!choices.hasOwnProperty(this.name)) {
										choices[this.name] = [];
									}
									choices[this.name].push(this.value);
								}
							});
	
							jQuery.ajax({
								type : "post",
								url : WTEAjaxData.ajaxurl,
								data : {action: "wte_show_ajax_result", date : date, maxcost : maxcost, mincost : mincost, maxdur : maxdur, mindur : mindur, result : choices, nonce:nonce},
								beforeSend: function(){
									$("#loader").fadeIn(500);
								},
								success: function(response){
									$(".wte-advanced-search-wrap").remove();
									$(".advanced-search-wrapper .pagination").remove();
									$(".advanced-search-wrapper").append(response);
									$( "#duration-slider-range" ).slider( "enable" );
								},
								complete: function(){
									$("#loader").fadeOut(500);             
								}
							});
						}
					});
	
					$( "#cost-slider-range" ).slider({
						range: true,
						min: 0,
						max: '.$max_cost.',
						values: [ 0, '.$max_cost.' ],
						slide: function( event, ui ) {
							$("#min-cost").text(ui.values[0]);
							$("#max-cost").text(ui.values[1]);
						},
						stop: function( event, ui ) {
							$( "#cost-slider-range" ).slider( "disable" );
							maxcost = ui.values[1];
							mincost = ui.values[0];
							date = $( ".trip-date-select" ).val();
							$("#min-cost").text(ui.values[0]);
							$("#max-cost").text(ui.values[1]);
							maxdur = $("#max-duration").text();
							mindur = $("#min-duration").text();
							nonce = $("#search-nonce").val();
							$(".advanced-search-field input[type=checkbox]").each(function() {
								if($(this).is(":checked"))
								{
									if (!choices.hasOwnProperty(this.name)) {
										choices[this.name] = [];
									}
									choices[this.name].push(this.value);
								}
							});
	
							jQuery.ajax({
								type : "post",
								url : WTEAjaxData.ajaxurl,
								data : {action: "wte_show_ajax_result", maxcost : maxcost, date : date, mincost : mincost, maxdur : maxdur, mindur : mindur, result : choices, nonce:nonce},
								beforeSend: function(){
									$("#loader").fadeIn(500);
								},
								success: function(response){
									$(".wte-advanced-search-wrap").remove();
									$(".advanced-search-wrapper .pagination").remove();
									$(".advanced-search-wrapper").append(response);
									$( "#cost-slider-range" ).slider( "enable" );
								},
								complete: function(){
									$("#loader").fadeOut(500);             
								}
							});
						}
					});
	
					
					$("body").on("change",".trip-date-select", function(){
						nonce = $("#search-nonce").val();
						date = $(this).val();
						maxdur = $("#max-duration").text();
						mindur = $("#min-duration").text();
						mincost = $("#min-cost").text();
						maxcost = $("#max-cost").text();
						$(".advanced-search-field input[type=checkbox]").each(function() {
							if($(this).is(":checked"))
							{
								if (!choices.hasOwnProperty(this.name)) {
									choices[this.name] = [];
								}
								choices[this.name].push(this.value);
							}
						});
						jQuery.ajax({
							type : "post",
							url : WTEAjaxData.ajaxurl,
							data : {action: "wte_show_ajax_result", date: date, maxcost : maxcost, mincost : mincost, maxdur : maxdur, mindur : mindur, result : choices, nonce:nonce},
							beforeSend: function(){
								$("#loader").fadeIn(500);
							},
							success: function(response){
								$(".wte-advanced-search-wrap").remove();
								$(".advanced-search-wrapper .pagination").remove();
								$(".advanced-search-wrapper").append(response);
							},
							complete: function(){
								$("#loader").fadeOut(500);             
							}
						})
					});
	
	
	
					$("body").on("change",".advanced-search-field input[type=checkbox]", function(){
						mincost = $("#min-cost").text();
						maxcost = $("#max-cost").text();
						mindur = $("#min-duration").text();
						maxdur = $("#max-duration").text();
						date = $( ".trip-date-select" ).val();
						$(".advanced-search-field input[type=checkbox]").each(function() {
							if($(this).is(":checked"))
							{
								if (!choices.hasOwnProperty(this.name)) {
									choices[this.name] = [];
								}
								var idx = $.inArray(this.value, choices[this.name]);
								if (idx == -1) {
									choices[this.name].push(this.value);
								}
							}
						});
						value = this.value;
						if(!$(this).is(":checked"))
						{
							var idx = choices[this.name].indexOf(value);
							if (idx > -1) {
								choices[this.name].splice(idx, 1);
							}
						}
						nonce = $("#search-nonce").val();
						jQuery.ajax({
							type : "post",
							url : WTEAjaxData.ajaxurl,
							data : {action: "wte_show_ajax_result", maxcost : maxcost, date : date, mincost : mincost, maxdur : maxdur, mindur : mindur, result : choices, nonce:nonce},
							beforeSend: function(){
								$("#loader").fadeIn(500);
							},
							success: function(response){
								$(".wte-advanced-search-wrap").remove();
								$(".advanced-search-wrapper .pagination, .advanced-search-wrapper .foundPosts").remove();
								$(".advanced-search-wrapper").append(response);
							},
							complete: function(){
								$("#loader").fadeOut(500);             
							}
						});    
						});
						$("body").on("click",".load-more-search", function(e){
						e.preventDefault();
						var offset = $(".grid .col").length;
						mincost = $("#min-cost").text();
						maxcost = $("#max-cost").text();
						mindur = $("#min-duration").text();
						maxdur = $("#max-duration").text();
						date = $( ".trip-date-select" ).val();
						$(".advanced-search-field input[type=checkbox]").each(function() {
							if($(this).is(":checked"))
							{
								if (!choices.hasOwnProperty(this.name)) {
									choices[this.name] = [];
								}
								var idx = $.inArray(this.value, choices[this.name]);
								if (idx == -1) {
									choices[this.name].push(this.value);
								}
							}
						});
						value = this.value;
						if(choices.length > 0)
						{
							if(!$(this).is(":checked"))
							{
								var idx = choices[this.name].indexOf(value);
								if (idx > -1) {
									choices[this.name].splice(idx, 1);
								}
							}
						}
						nonce = $("#search-nonce").val();
						var t = $(this).parent();
						var dataid = $(this).parent().attr("data-id");
						var post_page = $(this).attr("data-id");
						post_page = parseInt(post_page);
						jQuery.ajax({
							type : "post",
							url : WTEAjaxData.ajaxurl,
							data : {action: "wte_show_ajax_result_load", date : date, maxcost : maxcost, mincost : mincost, maxdur : maxdur, mindur : mindur, result : choices, nonce:nonce, offset:offset, dataid:dataid},
							beforeSend: function(){
								$("#loader").fadeIn(500);
							},
							success: function(response){
								$(".wte-advanced-search-wrap .grid").append(response);
							},
							complete: function(){
								dataid = parseInt(dataid);
								offset = parseInt(offset);
								offset = offset+post_page;
								if( dataid <= offset )
								{
									t.remove();
								}
								$("#loader").fadeOut(500);
							}
						}, this);
					});
					});
					</script>';
			}
			//Travel Engine Search Results Ends...
			?>
        </section><!-- Primary End --><?php

        if ( $show_sidebar ) {
            if ( $show_right_sidebar ) {
                $sticky_class = ( array_key_exists('enable-sticky-sidebar', $settings) && $settings['enable-sticky-sidebar'] == 'true' ) ? ' sidebar-as-sticky' : '';?>
                <!-- Secondary Right -->
                <section id="secondary-right" class="secondary-sidebar <?php echo esc_attr( $sidebar_class.$sticky_class );?>"><?php
                    ora_show_sidebar( 'page', $post->ID, 'right' ); ?></section><!-- Secondary Right End --><?php
            }
        }?>
    </div>
    <!-- ** Container End ** -->    
</div><!-- **Main - End ** -->
<?php get_footer();
	}
}

new WTE_Show_Trip_Results;